Site¶
Site - Update Site Project Tag¶
HTTP Request
PUT /api/sites/{siteId}/projects/{projectId}/tags/{tagId}
📋 Description: Updates the specified tag associated with a project within a site in the Nakisa Portfolio Management Suite, enabling enhanced organization and analytics of portfolio assets in real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
siteId |
path |
integer(int64) |
true |
Unique identifier for the site |
projectId |
path |
integer(int64) |
true |
Unique identifier for the project |
tagId |
path |
integer(int64) |
true |
Unique identifier for the tag |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Site - Update Site Project Main Scenario¶
HTTP Request
PUT /api/sites/{siteId}/projects/{projectId}/main-scenarios/{mainScenarioId}
📋 Description: Updates the specified main scenario for a project within a site in the Nakisa Portfolio Management Suite, enabling users to manage and optimize portfolio analytics related to real estate assets effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
siteId |
path |
integer(int64) |
true |
Unique identifier for the site |
projectId |
path |
integer(int64) |
true |
Unique identifier for the project |
mainScenarioId |
path |
integer(int64) |
true |
Unique identifier for the main scenario |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Site - Get Site¶
HTTP Request
GET /api/sites/{id}
📋 Description: Retrieves detailed information about a specific site within the Nakisa Portfolio Management Suite, enabling users to access critical data related to portfolio assets and real estate properties for enhanced analytics and decision-making.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "storeNumber": "string",
11 "fileNumber": "string",
12 "businessUnitId": 0,
13 "siteStatusId": 0,
14 "siteManagerId": 0,
15 "propertyTypeId": 0,
16 "buildingTypeId": 0,
17 "siteQualityId": 0,
18 "areaTypeId": 0,
19 "areaName": "string",
20 "areaSourceId": 0,
21 "unitId": 0,
22 "area": 0,
23 "defaultCurrencyId": 0,
24 "typeId": 0,
25 "businessUnit": {
26 "createdBy": "string",
27 "lastModifiedBy": "string",
28 "createdDate": "2019-08-24T14:15:22Z",
29 "lastModifiedDate": "2019-08-24T14:15:22Z",
30 "archived": true,
31 "externalId": "string",
32 "id": 0,
33 "priority": 0,
34 "internalId": 0,
35 "pickListCode": "string",
36 "pickListLabel": "string",
37 "label": "string",
38 "cultureId": 0,
39 "labelDtos": [
40 {
41 "createdBy": "string",
42 "lastModifiedBy": "string",
43 "createdDate": "2019-08-24T14:15:22Z",
44 "lastModifiedDate": "2019-08-24T14:15:22Z",
45 "archived": true,
46 "externalId": "string",
47 "id": 0,
48 "cultureId": 0,
49 "value": "string"
50 }
51 ]
52 },
53 "propertyType": {
54 "createdBy": "string",
55 "lastModifiedBy": "string",
56 "createdDate": "2019-08-24T14:15:22Z",
57 "lastModifiedDate": "2019-08-24T14:15:22Z",
58 "archived": true,
59 "externalId": "string",
60 "id": 0,
61 "priority": 0,
62 "internalId": 0,
63 "pickListCode": "string",
64 "pickListLabel": "string",
65 "label": "string",
66 "cultureId": 0,
67 "labelDtos": [
68 {
69 "createdBy": "string",
70 "lastModifiedBy": "string",
71 "createdDate": "2019-08-24T14:15:22Z",
72 "lastModifiedDate": "2019-08-24T14:15:22Z",
73 "archived": true,
74 "externalId": "string",
75 "id": 0,
76 "cultureId": 0,
77 "value": "string"
78 }
79 ]
80 },
81 "propertyTypeLabel": "string",
82 "buildingType": {
83 "createdBy": "string",
84 "lastModifiedBy": "string",
85 "createdDate": "2019-08-24T14:15:22Z",
86 "lastModifiedDate": "2019-08-24T14:15:22Z",
87 "archived": true,
88 "externalId": "string",
89 "id": 0,
90 "priority": 0,
91 "internalId": 0,
92 "pickListCode": "string",
93 "pickListLabel": "string",
94 "label": "string",
95 "cultureId": 0,
96 "labelDtos": [
97 {
98 "createdBy": "string",
99 "lastModifiedBy": "string",
100 "createdDate": "2019-08-24T14:15:22Z",
101 "lastModifiedDate": "2019-08-24T14:15:22Z",
102 "archived": true,
103 "externalId": "string",
104 "id": 0,
105 "cultureId": 0,
106 "value": "string"
107 }
108 ]
109 },
110 "siteQuality": {
111 "createdBy": "string",
112 "lastModifiedBy": "string",
113 "createdDate": "2019-08-24T14:15:22Z",
114 "lastModifiedDate": "2019-08-24T14:15:22Z",
115 "archived": true,
116 "externalId": "string",
117 "id": 0,
118 "priority": 0,
119 "internalId": 0,
120 "pickListCode": "string",
121 "pickListLabel": "string",
122 "label": "string",
123 "cultureId": 0,
124 "labelDtos": [
125 {
126 "createdBy": "string",
127 "lastModifiedBy": "string",
128 "createdDate": "2019-08-24T14:15:22Z",
129 "lastModifiedDate": "2019-08-24T14:15:22Z",
130 "archived": true,
131 "externalId": "string",
132 "id": 0,
133 "cultureId": 0,
134 "value": "string"
135 }
136 ]
137 },
138 "areaType": {
139 "createdBy": "string",
140 "lastModifiedBy": "string",
141 "createdDate": "2019-08-24T14:15:22Z",
142 "lastModifiedDate": "2019-08-24T14:15:22Z",
143 "archived": true,
144 "externalId": "string",
145 "id": 0,
146 "priority": 0,
147 "internalId": 0,
148 "pickListCode": "string",
149 "pickListLabel": "string",
150 "label": "string",
151 "cultureId": 0,
152 "labelDtos": [
153 {
154 "createdBy": "string",
155 "lastModifiedBy": "string",
156 "createdDate": "2019-08-24T14:15:22Z",
157 "lastModifiedDate": "2019-08-24T14:15:22Z",
158 "archived": true,
159 "externalId": "string",
160 "id": 0,
161 "cultureId": 0,
162 "value": "string"
163 }
164 ]
165 },
166 "areaSource": {
167 "createdBy": "string",
168 "lastModifiedBy": "string",
169 "createdDate": "2019-08-24T14:15:22Z",
170 "lastModifiedDate": "2019-08-24T14:15:22Z",
171 "archived": true,
172 "externalId": "string",
173 "id": 0,
174 "priority": 0,
175 "internalId": 0,
176 "pickListCode": "string",
177 "pickListLabel": "string",
178 "label": "string",
179 "cultureId": 0,
180 "labelDtos": [
181 {
182 "createdBy": "string",
183 "lastModifiedBy": "string",
184 "createdDate": "2019-08-24T14:15:22Z",
185 "lastModifiedDate": "2019-08-24T14:15:22Z",
186 "archived": true,
187 "externalId": "string",
188 "id": 0,
189 "cultureId": 0,
190 "value": "string"
191 }
192 ]
193 },
194 "siteStatus": {
195 "createdBy": "string",
196 "lastModifiedBy": "string",
197 "createdDate": "2019-08-24T14:15:22Z",
198 "lastModifiedDate": "2019-08-24T14:15:22Z",
199 "archived": true,
200 "externalId": "string",
201 "id": 0,
202 "priority": 0,
203 "internalId": 0,
204 "pickListCode": "string",
205 "pickListLabel": "string",
206 "label": "string",
207 "cultureId": 0,
208 "labelDtos": [
209 {
210 "createdBy": "string",
211 "lastModifiedBy": "string",
212 "createdDate": "2019-08-24T14:15:22Z",
213 "lastModifiedDate": "2019-08-24T14:15:22Z",
214 "archived": true,
215 "externalId": "string",
216 "id": 0,
217 "cultureId": 0,
218 "value": "string"
219 }
220 ]
221 },
222 "addressDto": {
223 "createdBy": "string",
224 "lastModifiedBy": "string",
225 "createdDate": "2019-08-24T14:15:22Z",
226 "lastModifiedDate": "2019-08-24T14:15:22Z",
227 "archived": true,
228 "externalId": "string",
229 "id": 0,
230 "street": "string",
231 "civicNumber": "string",
232 "suite": "string",
233 "postalCode": "string",
234 "lon": 0.1,
235 "lat": 0.1,
236 "city": {
237 "createdBy": "string",
238 "lastModifiedBy": "string",
239 "createdDate": "2019-08-24T14:15:22Z",
240 "lastModifiedDate": "2019-08-24T14:15:22Z",
241 "archived": true,
242 "externalId": "string",
243 "id": 0,
244 "name": "string",
245 "province": {
246 "createdBy": "string",
247 "lastModifiedBy": "string",
248 "createdDate": "2019-08-24T14:15:22Z",
249 "lastModifiedDate": "2019-08-24T14:15:22Z",
250 "archived": true,
251 "externalId": "string",
252 "id": 0,
253 "name": "string",
254 "code": "string",
255 "country": {
256 "createdBy": "string",
257 "lastModifiedBy": "string",
258 "createdDate": "2019-08-24T14:15:22Z",
259 "lastModifiedDate": "2019-08-24T14:15:22Z",
260 "archived": true,
261 "externalId": "string",
262 "id": 0,
263 "name": "string",
264 "code": "string"
265 },
266 "provinceCountryKey": "string"
267 },
268 "cityProvinceCountryKey": "string"
269 },
270 "district": {
271 "createdBy": "string",
272 "lastModifiedBy": "string",
273 "createdDate": "2019-08-24T14:15:22Z",
274 "lastModifiedDate": "2019-08-24T14:15:22Z",
275 "archived": true,
276 "externalId": "string",
277 "id": 0,
278 "name": "string",
279 "city": {
280 "createdBy": "string",
281 "lastModifiedBy": "string",
282 "createdDate": "2019-08-24T14:15:22Z",
283 "lastModifiedDate": "2019-08-24T14:15:22Z",
284 "archived": true,
285 "externalId": "string",
286 "id": 0,
287 "name": "string",
288 "province": {
289 "createdBy": "string",
290 "lastModifiedBy": "string",
291 "createdDate": "2019-08-24T14:15:22Z",
292 "lastModifiedDate": "2019-08-24T14:15:22Z",
293 "archived": true,
294 "externalId": "string",
295 "id": 0,
296 "name": "string",
297 "code": "string",
298 "country": {
299 "createdBy": "string",
300 "lastModifiedBy": "string",
301 "createdDate": "2019-08-24T14:15:22Z",
302 "lastModifiedDate": "2019-08-24T14:15:22Z",
303 "archived": true,
304 "externalId": "string",
305 "id": 0,
306 "name": "string",
307 "code": "string"
308 },
309 "provinceCountryKey": "string"
310 },
311 "cityProvinceCountryKey": "string"
312 }
313 },
314 "cityId": 0,
315 "districtId": 0
316 },
317 "addressString": "string",
318 "cityStateDistrict": "string",
319 "country": "string",
320 "siteIntegrationStatusId": 0,
321 "siteIntegrationStatusDto": {
322 "createdBy": "string",
323 "lastModifiedBy": "string",
324 "createdDate": "2019-08-24T14:15:22Z",
325 "lastModifiedDate": "2019-08-24T14:15:22Z",
326 "archived": true,
327 "externalId": "string",
328 "id": 0,
329 "locationCreationStatus": "PENDING",
330 "locationActivationStatus": "PENDING",
331 "premiseCreationStatus": "PENDING",
332 "premiseActivationStatus": "PENDING",
333 "errorMessage": "string"
334 },
335 "defaultCurrency": {
336 "id": 0,
337 "status": "CREATED",
338 "displayId": "string",
339 "erpSystemId": 0,
340 "erpSystemDisplayId": "string",
341 "name": "string",
342 "decimalPoints": 0,
343 "depreciationAreaId": 0
344 },
345 "unit": {
346 "createdBy": "string",
347 "lastModifiedBy": "string",
348 "createdDate": "2019-08-24T14:15:22Z",
349 "lastModifiedDate": "2019-08-24T14:15:22Z",
350 "archived": true,
351 "externalId": "string",
352 "id": 0,
353 "unitId": 0,
354 "unitOfMeasureId": 0,
355 "erpSystemId": 0,
356 "unit": {
357 "createdBy": "string",
358 "lastModifiedBy": "string",
359 "createdDate": "2019-08-24T14:15:22Z",
360 "lastModifiedDate": "2019-08-24T14:15:22Z",
361 "archived": true,
362 "externalId": "string",
363 "id": 0,
364 "priority": 0,
365 "internalId": 0,
366 "pickListCode": "string",
367 "pickListLabel": "string",
368 "label": "string",
369 "cultureId": 0,
370 "labelDtos": [
371 {
372 "createdBy": "string",
373 "lastModifiedBy": "string",
374 "createdDate": "2019-08-24T14:15:22Z",
375 "lastModifiedDate": "2019-08-24T14:15:22Z",
376 "archived": true,
377 "externalId": "string",
378 "id": 0,
379 "cultureId": 0,
380 "value": "string"
381 }
382 ]
383 },
384 "unitOfMeasure": {
385 "id": 0,
386 "status": "CREATED",
387 "displayId": "string",
388 "erpSystemId": 0,
389 "erpSystemDisplayId": "string",
390 "name": "string"
391 }
392 },
393 "type": {
394 "createdBy": "string",
395 "lastModifiedBy": "string",
396 "createdDate": "2019-08-24T14:15:22Z",
397 "lastModifiedDate": "2019-08-24T14:15:22Z",
398 "archived": true,
399 "externalId": "string",
400 "id": 0,
401 "priority": 0,
402 "internalId": 0,
403 "pickListCode": "string",
404 "pickListLabel": "string",
405 "label": "string",
406 "cultureId": 0,
407 "labelDtos": [
408 {
409 "createdBy": "string",
410 "lastModifiedBy": "string",
411 "createdDate": "2019-08-24T14:15:22Z",
412 "lastModifiedDate": "2019-08-24T14:15:22Z",
413 "archived": true,
414 "externalId": "string",
415 "id": 0,
416 "cultureId": 0,
417 "value": "string"
418 }
419 ]
420 },
421 "sitePremiseDto": {
422 "createdBy": "string",
423 "lastModifiedBy": "string",
424 "createdDate": "2019-08-24T14:15:22Z",
425 "lastModifiedDate": "2019-08-24T14:15:22Z",
426 "archived": true,
427 "externalId": "string",
428 "id": 0,
429 "name": "string",
430 "fileNumber": "string",
431 "premiseUsageId": 0,
432 "areaTypeId": 0,
433 "areaName": "string",
434 "areaSourceId": 0,
435 "unitId": 0,
436 "area": 0,
437 "zoning": "string",
438 "conceptTypeId": 0,
439 "closestStoreDistance": 0,
440 "costCenterId": 0,
441 "referencePremiseId": 0,
442 "referencePremiseName": "string",
443 "referencePremiseDisplayId": "string",
444 "unitDto": {
445 "createdBy": "string",
446 "lastModifiedBy": "string",
447 "createdDate": "2019-08-24T14:15:22Z",
448 "lastModifiedDate": "2019-08-24T14:15:22Z",
449 "archived": true,
450 "externalId": "string",
451 "id": 0,
452 "unitId": 0,
453 "unitOfMeasureId": 0,
454 "erpSystemId": 0,
455 "unit": {
456 "createdBy": "string",
457 "lastModifiedBy": "string",
458 "createdDate": "2019-08-24T14:15:22Z",
459 "lastModifiedDate": "2019-08-24T14:15:22Z",
460 "archived": true,
461 "externalId": "string",
462 "id": 0,
463 "priority": 0,
464 "internalId": 0,
465 "pickListCode": "string",
466 "pickListLabel": "string",
467 "label": "string",
468 "cultureId": 0,
469 "labelDtos": [
470 {
471 "createdBy": "string",
472 "lastModifiedBy": "string",
473 "createdDate": "2019-08-24T14:15:22Z",
474 "lastModifiedDate": "2019-08-24T14:15:22Z",
475 "archived": true,
476 "externalId": "string",
477 "id": 0,
478 "cultureId": 0,
479 "value": "string"
480 }
481 ]
482 },
483 "unitOfMeasure": {
484 "id": 0,
485 "status": "CREATED",
486 "displayId": "string",
487 "erpSystemId": 0,
488 "erpSystemDisplayId": "string",
489 "name": "string"
490 }
491 },
492 "areaType": {
493 "createdBy": "string",
494 "lastModifiedBy": "string",
495 "createdDate": "2019-08-24T14:15:22Z",
496 "lastModifiedDate": "2019-08-24T14:15:22Z",
497 "archived": true,
498 "externalId": "string",
499 "id": 0,
500 "priority": 0,
501 "internalId": 0,
502 "pickListCode": "string",
503 "pickListLabel": "string",
504 "label": "string",
505 "cultureId": 0,
506 "labelDtos": [
507 {
508 "createdBy": "string",
509 "lastModifiedBy": "string",
510 "createdDate": "2019-08-24T14:15:22Z",
511 "lastModifiedDate": "2019-08-24T14:15:22Z",
512 "archived": true,
513 "externalId": "string",
514 "id": 0,
515 "cultureId": 0,
516 "value": "string"
517 }
518 ]
519 },
520 "areaSource": {
521 "createdBy": "string",
522 "lastModifiedBy": "string",
523 "createdDate": "2019-08-24T14:15:22Z",
524 "lastModifiedDate": "2019-08-24T14:15:22Z",
525 "archived": true,
526 "externalId": "string",
527 "id": 0,
528 "priority": 0,
529 "internalId": 0,
530 "pickListCode": "string",
531 "pickListLabel": "string",
532 "label": "string",
533 "cultureId": 0,
534 "labelDtos": [
535 {
536 "createdBy": "string",
537 "lastModifiedBy": "string",
538 "createdDate": "2019-08-24T14:15:22Z",
539 "lastModifiedDate": "2019-08-24T14:15:22Z",
540 "archived": true,
541 "externalId": "string",
542 "id": 0,
543 "cultureId": 0,
544 "value": "string"
545 }
546 ]
547 },
548 "conceptType": {
549 "createdBy": "string",
550 "lastModifiedBy": "string",
551 "createdDate": "2019-08-24T14:15:22Z",
552 "lastModifiedDate": "2019-08-24T14:15:22Z",
553 "archived": true,
554 "externalId": "string",
555 "id": 0,
556 "priority": 0,
557 "internalId": 0,
558 "pickListCode": "string",
559 "pickListLabel": "string",
560 "label": "string",
561 "cultureId": 0,
562 "labelDtos": [
563 {
564 "createdBy": "string",
565 "lastModifiedBy": "string",
566 "createdDate": "2019-08-24T14:15:22Z",
567 "lastModifiedDate": "2019-08-24T14:15:22Z",
568 "archived": true,
569 "externalId": "string",
570 "id": 0,
571 "cultureId": 0,
572 "value": "string"
573 }
574 ]
575 },
576 "premiseUsage": {
577 "createdBy": "string",
578 "lastModifiedBy": "string",
579 "createdDate": "2019-08-24T14:15:22Z",
580 "lastModifiedDate": "2019-08-24T14:15:22Z",
581 "archived": true,
582 "externalId": "string",
583 "id": 0,
584 "priority": 0,
585 "internalId": 0,
586 "pickListCode": "string",
587 "pickListLabel": "string",
588 "label": "string",
589 "cultureId": 0,
590 "labelDtos": [
591 {
592 "createdBy": "string",
593 "lastModifiedBy": "string",
594 "createdDate": "2019-08-24T14:15:22Z",
595 "lastModifiedDate": "2019-08-24T14:15:22Z",
596 "archived": true,
597 "externalId": "string",
598 "id": 0,
599 "cultureId": 0,
600 "value": "string"
601 }
602 ]
603 },
604 "occupanciesDto": [
605 {
606 "createdBy": "string",
607 "lastModifiedBy": "string",
608 "createdDate": "2019-08-24T14:15:22Z",
609 "lastModifiedDate": "2019-08-24T14:15:22Z",
610 "archived": true,
611 "externalId": "string",
612 "id": 0,
613 "priority": 0,
614 "internalId": 0,
615 "pickListCode": "string",
616 "pickListLabel": "string",
617 "label": "string",
618 "cultureId": 0,
619 "labelDtos": [
620 {
621 "createdBy": "string",
622 "lastModifiedBy": "string",
623 "createdDate": "2019-08-24T14:15:22Z",
624 "lastModifiedDate": "2019-08-24T14:15:22Z",
625 "archived": true,
626 "externalId": "string",
627 "id": 0,
628 "cultureId": 0,
629 "value": "string"
630 }
631 ]
632 }
633 ],
634 "cornerLocation": true
635 },
636 "projectSiteTag": {
637 "createdBy": "string",
638 "lastModifiedBy": "string",
639 "createdDate": "2019-08-24T14:15:22Z",
640 "lastModifiedDate": "2019-08-24T14:15:22Z",
641 "archived": true,
642 "externalId": "string",
643 "id": 0,
644 "priority": 0,
645 "internalId": 0,
646 "pickListCode": "string",
647 "pickListLabel": "string",
648 "label": "string",
649 "cultureId": 0,
650 "labelDtos": [
651 {
652 "createdBy": "string",
653 "lastModifiedBy": "string",
654 "createdDate": "2019-08-24T14:15:22Z",
655 "lastModifiedDate": "2019-08-24T14:15:22Z",
656 "archived": true,
657 "externalId": "string",
658 "id": 0,
659 "cultureId": 0,
660 "value": "string"
661 }
662 ]
663 },
664 "referenceLocationId": 0,
665 "referenceLocationName": "string",
666 "referenceLocationDisplayId": "string",
667 "landlords": "string",
668 "managers": "string",
669 "vendors": "string",
670 "siteManager": "string",
671 "siteDocumentList": [
672 {
673 "createdBy": "string",
674 "lastModifiedBy": "string",
675 "createdDate": "2019-08-24T14:15:22Z",
676 "lastModifiedDate": "2019-08-24T14:15:22Z",
677 "archived": true,
678 "externalId": "string",
679 "id": 0,
680 "name": "string",
681 "title": "string",
682 "type": "string",
683 "description": "string",
684 "link": "string",
685 "signedDate": "2019-08-24",
686 "documentTypeId": 0,
687 "statusId": 0,
688 "shareable": true,
689 "size": 0
690 }
691 ],
692 "totalPropertyScore": 0,
693 "siteFinancialAnalysisDtoList": {
694 "createdBy": "string",
695 "lastModifiedBy": "string",
696 "createdDate": "2019-08-24T14:15:22Z",
697 "lastModifiedDate": "2019-08-24T14:15:22Z",
698 "archived": true,
699 "externalId": "string",
700 "id": 0,
701 "discountRate": 0.1,
702 "netPresentValue": 0.1,
703 "returnOnInvestment": 0.1,
704 "breakEvenPoint": 0.1,
705 "name": "string",
706 "site": {
707 "createdBy": "string",
708 "lastModifiedBy": "string",
709 "createdDate": "2019-08-24T14:15:22Z",
710 "lastModifiedDate": "2019-08-24T14:15:22Z",
711 "archived": true,
712 "externalId": "string",
713 "id": 0,
714 "name": "string",
715 "storeNumber": "string",
716 "fileNumber": "string",
717 "businessUnitId": 0,
718 "propertyTypeId": 0,
719 "buildingTypeId": 0,
720 "siteQualityId": 0,
721 "areaTypeId": 0,
722 "areaName": "string",
723 "areaSourceId": 0,
724 "unitId": 0,
725 "area": 0,
726 "defaultCurrencyId": 0,
727 "typeId": 0,
728 "legalEntityIds": [
729 0
730 ],
731 "siteManagerId": 0,
732 "siteStatusId": 0,
733 "referenceLocationId": 0,
734 "draft": true
735 },
736 "siteId": 0,
737 "siteFinancialViabilityDtos": [
738 {
739 "createdBy": "string",
740 "lastModifiedBy": "string",
741 "createdDate": "2019-08-24T14:15:22Z",
742 "lastModifiedDate": "2019-08-24T14:15:22Z",
743 "archived": true,
744 "externalId": "string",
745 "id": 0,
746 "year": 0,
747 "salesGrowth": 0.1,
748 "salesRevenue": 0.1,
749 "otherIncome": 0.1,
750 "totalIncome": 0.1,
751 "siteAcquisitionCost": 0.1,
752 "renovationCost": 0.1,
753 "marketingExpense": 0.1,
754 "initialInventory": 0.1,
755 "operatingCost": 0.1,
756 "maintenanceCost": 0.1,
757 "landlordIncentive": 0.1,
758 "totalInvestment": 0.1,
759 "netCashFlow": 0.1,
760 "openingBalance": 0.1,
761 "closingBalance": 0.1,
762 "siteFinancialAnalysisId": 0
763 }
764 ],
765 "mainScenario": true
766 },
767 "siteScoreDtoList": {
768 "property1": [
769 {
770 "createdBy": "string",
771 "lastModifiedBy": "string",
772 "createdDate": "2019-08-24T14:15:22Z",
773 "lastModifiedDate": "2019-08-24T14:15:22Z",
774 "archived": true,
775 "externalId": "string",
776 "id": 0,
777 "siteScoreMetricId": 0,
778 "score": 0,
779 "weight": 0,
780 "siteScoreMetric": {
781 "createdBy": "string",
782 "lastModifiedBy": "string",
783 "createdDate": "2019-08-24T14:15:22Z",
784 "lastModifiedDate": "2019-08-24T14:15:22Z",
785 "archived": true,
786 "externalId": "string",
787 "id": 0,
788 "priority": 0,
789 "internalId": 0,
790 "pickListCode": "string",
791 "pickListLabel": "string",
792 "label": "string",
793 "cultureId": 0,
794 "labelDtos": [
795 {
796 "createdBy": "string",
797 "lastModifiedBy": "string",
798 "createdDate": "2019-08-24T14:15:22Z",
799 "lastModifiedDate": "2019-08-24T14:15:22Z",
800 "archived": true,
801 "externalId": "string",
802 "id": 0,
803 "cultureId": 0,
804 "value": "string"
805 }
806 ]
807 },
808 "totalScore": 0,
809 "siteId": 0
810 }
811 ],
812 "property2": [
813 {
814 "createdBy": "string",
815 "lastModifiedBy": "string",
816 "createdDate": "2019-08-24T14:15:22Z",
817 "lastModifiedDate": "2019-08-24T14:15:22Z",
818 "archived": true,
819 "externalId": "string",
820 "id": 0,
821 "siteScoreMetricId": 0,
822 "score": 0,
823 "weight": 0,
824 "siteScoreMetric": {
825 "createdBy": "string",
826 "lastModifiedBy": "string",
827 "createdDate": "2019-08-24T14:15:22Z",
828 "lastModifiedDate": "2019-08-24T14:15:22Z",
829 "archived": true,
830 "externalId": "string",
831 "id": 0,
832 "priority": 0,
833 "internalId": 0,
834 "pickListCode": "string",
835 "pickListLabel": "string",
836 "label": "string",
837 "cultureId": 0,
838 "labelDtos": [
839 {
840 "createdBy": "string",
841 "lastModifiedBy": "string",
842 "createdDate": "2019-08-24T14:15:22Z",
843 "lastModifiedDate": "2019-08-24T14:15:22Z",
844 "archived": true,
845 "externalId": "string",
846 "id": 0,
847 "cultureId": 0,
848 "value": "string"
849 }
850 ]
851 },
852 "totalScore": 0,
853 "siteId": 0
854 }
855 ]
856 },
857 "legalEntityIds": [
858 0
859 ],
860 "legalEntities": [
861 {
862 "id": 0,
863 "status": "CREATED",
864 "displayId": "string",
865 "erpSystemId": 0,
866 "erpSystemDisplayId": "string",
867 "countryId": 0,
868 "countryDisplayId": "string",
869 "postingPeriodVariantId": 0,
870 "name": "string",
871 "postingPeriodVariantDisplayId": "string",
872 "controllingAreaId": 0,
873 "controllingAreaDisplayId": "string",
874 "chartOfAccountId": 0,
875 "chartOfAccountDisplayId": "string",
876 "fiscalVariantId": 0,
877 "fiscalVariantDisplayId": "string",
878 "chartOfDepreciationId": 0,
879 "chartOfDepreciationDisplayId": "string",
880 "purchasingOrganizationId": 0,
881 "assetId": 0,
882 "exchangeRateTypeId": 0,
883 "plantId": 0,
884 "incrementalBorrowingRateId": 0,
885 "businessUnitId": 0,
886 "projectId": 0,
887 "transferVariantId": 0,
888 "partnerId": 0,
889 "departmentId": 0,
890 "accountingStandardId": 0,
891 "generalLedgerAccountId": 0,
892 "consumerPriceIndexCategoryId": 0,
893 "costCenterId": 0,
894 "costCenterRelationValidFrom": "2019-08-24",
895 "costCenterRelationValidTo": "2019-08-24"
896 }
897 ],
898 "draft": true
899}
Site - Update Site¶
HTTP Request
PUT /api/sites/{id}
📋 Description: Updates the details of a specific site within the Nakisa Portfolio Management Suite, enabling users to manage portfolio assets and enhance real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated site information, including portfolio details, asset specifications, and analytics relevant to the real estate property. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "storeNumber": "string",
11 "fileNumber": "string",
12 "businessUnitId": 0,
13 "siteStatusId": 0,
14 "siteManagerId": 0,
15 "propertyTypeId": 0,
16 "buildingTypeId": 0,
17 "siteQualityId": 0,
18 "areaTypeId": 0,
19 "areaName": "string",
20 "areaSourceId": 0,
21 "unitId": 0,
22 "area": 0,
23 "defaultCurrencyId": 0,
24 "typeId": 0,
25 "businessUnit": {
26 "createdBy": "string",
27 "lastModifiedBy": "string",
28 "createdDate": "2019-08-24T14:15:22Z",
29 "lastModifiedDate": "2019-08-24T14:15:22Z",
30 "archived": true,
31 "externalId": "string",
32 "id": 0,
33 "priority": 0,
34 "internalId": 0,
35 "pickListCode": "string",
36 "pickListLabel": "string",
37 "label": "string",
38 "cultureId": 0,
39 "labelDtos": [
40 {
41 "createdBy": "string",
42 "lastModifiedBy": "string",
43 "createdDate": "2019-08-24T14:15:22Z",
44 "lastModifiedDate": "2019-08-24T14:15:22Z",
45 "archived": true,
46 "externalId": "string",
47 "id": 0,
48 "cultureId": 0,
49 "value": "string"
50 }
51 ]
52 },
53 "propertyType": {
54 "createdBy": "string",
55 "lastModifiedBy": "string",
56 "createdDate": "2019-08-24T14:15:22Z",
57 "lastModifiedDate": "2019-08-24T14:15:22Z",
58 "archived": true,
59 "externalId": "string",
60 "id": 0,
61 "priority": 0,
62 "internalId": 0,
63 "pickListCode": "string",
64 "pickListLabel": "string",
65 "label": "string",
66 "cultureId": 0,
67 "labelDtos": [
68 {
69 "createdBy": "string",
70 "lastModifiedBy": "string",
71 "createdDate": "2019-08-24T14:15:22Z",
72 "lastModifiedDate": "2019-08-24T14:15:22Z",
73 "archived": true,
74 "externalId": "string",
75 "id": 0,
76 "cultureId": 0,
77 "value": "string"
78 }
79 ]
80 },
81 "propertyTypeLabel": "string",
82 "buildingType": {
83 "createdBy": "string",
84 "lastModifiedBy": "string",
85 "createdDate": "2019-08-24T14:15:22Z",
86 "lastModifiedDate": "2019-08-24T14:15:22Z",
87 "archived": true,
88 "externalId": "string",
89 "id": 0,
90 "priority": 0,
91 "internalId": 0,
92 "pickListCode": "string",
93 "pickListLabel": "string",
94 "label": "string",
95 "cultureId": 0,
96 "labelDtos": [
97 {
98 "createdBy": "string",
99 "lastModifiedBy": "string",
100 "createdDate": "2019-08-24T14:15:22Z",
101 "lastModifiedDate": "2019-08-24T14:15:22Z",
102 "archived": true,
103 "externalId": "string",
104 "id": 0,
105 "cultureId": 0,
106 "value": "string"
107 }
108 ]
109 },
110 "siteQuality": {
111 "createdBy": "string",
112 "lastModifiedBy": "string",
113 "createdDate": "2019-08-24T14:15:22Z",
114 "lastModifiedDate": "2019-08-24T14:15:22Z",
115 "archived": true,
116 "externalId": "string",
117 "id": 0,
118 "priority": 0,
119 "internalId": 0,
120 "pickListCode": "string",
121 "pickListLabel": "string",
122 "label": "string",
123 "cultureId": 0,
124 "labelDtos": [
125 {
126 "createdBy": "string",
127 "lastModifiedBy": "string",
128 "createdDate": "2019-08-24T14:15:22Z",
129 "lastModifiedDate": "2019-08-24T14:15:22Z",
130 "archived": true,
131 "externalId": "string",
132 "id": 0,
133 "cultureId": 0,
134 "value": "string"
135 }
136 ]
137 },
138 "areaType": {
139 "createdBy": "string",
140 "lastModifiedBy": "string",
141 "createdDate": "2019-08-24T14:15:22Z",
142 "lastModifiedDate": "2019-08-24T14:15:22Z",
143 "archived": true,
144 "externalId": "string",
145 "id": 0,
146 "priority": 0,
147 "internalId": 0,
148 "pickListCode": "string",
149 "pickListLabel": "string",
150 "label": "string",
151 "cultureId": 0,
152 "labelDtos": [
153 {
154 "createdBy": "string",
155 "lastModifiedBy": "string",
156 "createdDate": "2019-08-24T14:15:22Z",
157 "lastModifiedDate": "2019-08-24T14:15:22Z",
158 "archived": true,
159 "externalId": "string",
160 "id": 0,
161 "cultureId": 0,
162 "value": "string"
163 }
164 ]
165 },
166 "areaSource": {
167 "createdBy": "string",
168 "lastModifiedBy": "string",
169 "createdDate": "2019-08-24T14:15:22Z",
170 "lastModifiedDate": "2019-08-24T14:15:22Z",
171 "archived": true,
172 "externalId": "string",
173 "id": 0,
174 "priority": 0,
175 "internalId": 0,
176 "pickListCode": "string",
177 "pickListLabel": "string",
178 "label": "string",
179 "cultureId": 0,
180 "labelDtos": [
181 {
182 "createdBy": "string",
183 "lastModifiedBy": "string",
184 "createdDate": "2019-08-24T14:15:22Z",
185 "lastModifiedDate": "2019-08-24T14:15:22Z",
186 "archived": true,
187 "externalId": "string",
188 "id": 0,
189 "cultureId": 0,
190 "value": "string"
191 }
192 ]
193 },
194 "siteStatus": {
195 "createdBy": "string",
196 "lastModifiedBy": "string",
197 "createdDate": "2019-08-24T14:15:22Z",
198 "lastModifiedDate": "2019-08-24T14:15:22Z",
199 "archived": true,
200 "externalId": "string",
201 "id": 0,
202 "priority": 0,
203 "internalId": 0,
204 "pickListCode": "string",
205 "pickListLabel": "string",
206 "label": "string",
207 "cultureId": 0,
208 "labelDtos": [
209 {
210 "createdBy": "string",
211 "lastModifiedBy": "string",
212 "createdDate": "2019-08-24T14:15:22Z",
213 "lastModifiedDate": "2019-08-24T14:15:22Z",
214 "archived": true,
215 "externalId": "string",
216 "id": 0,
217 "cultureId": 0,
218 "value": "string"
219 }
220 ]
221 },
222 "addressDto": {
223 "createdBy": "string",
224 "lastModifiedBy": "string",
225 "createdDate": "2019-08-24T14:15:22Z",
226 "lastModifiedDate": "2019-08-24T14:15:22Z",
227 "archived": true,
228 "externalId": "string",
229 "id": 0,
230 "street": "string",
231 "civicNumber": "string",
232 "suite": "string",
233 "postalCode": "string",
234 "lon": 0.1,
235 "lat": 0.1,
236 "city": {
237 "createdBy": "string",
238 "lastModifiedBy": "string",
239 "createdDate": "2019-08-24T14:15:22Z",
240 "lastModifiedDate": "2019-08-24T14:15:22Z",
241 "archived": true,
242 "externalId": "string",
243 "id": 0,
244 "name": "string",
245 "province": {
246 "createdBy": "string",
247 "lastModifiedBy": "string",
248 "createdDate": "2019-08-24T14:15:22Z",
249 "lastModifiedDate": "2019-08-24T14:15:22Z",
250 "archived": true,
251 "externalId": "string",
252 "id": 0,
253 "name": "string",
254 "code": "string",
255 "country": {
256 "createdBy": "string",
257 "lastModifiedBy": "string",
258 "createdDate": "2019-08-24T14:15:22Z",
259 "lastModifiedDate": "2019-08-24T14:15:22Z",
260 "archived": true,
261 "externalId": "string",
262 "id": 0,
263 "name": "string",
264 "code": "string"
265 },
266 "provinceCountryKey": "string"
267 },
268 "cityProvinceCountryKey": "string"
269 },
270 "district": {
271 "createdBy": "string",
272 "lastModifiedBy": "string",
273 "createdDate": "2019-08-24T14:15:22Z",
274 "lastModifiedDate": "2019-08-24T14:15:22Z",
275 "archived": true,
276 "externalId": "string",
277 "id": 0,
278 "name": "string",
279 "city": {
280 "createdBy": "string",
281 "lastModifiedBy": "string",
282 "createdDate": "2019-08-24T14:15:22Z",
283 "lastModifiedDate": "2019-08-24T14:15:22Z",
284 "archived": true,
285 "externalId": "string",
286 "id": 0,
287 "name": "string",
288 "province": {
289 "createdBy": "string",
290 "lastModifiedBy": "string",
291 "createdDate": "2019-08-24T14:15:22Z",
292 "lastModifiedDate": "2019-08-24T14:15:22Z",
293 "archived": true,
294 "externalId": "string",
295 "id": 0,
296 "name": "string",
297 "code": "string",
298 "country": {
299 "createdBy": "string",
300 "lastModifiedBy": "string",
301 "createdDate": "2019-08-24T14:15:22Z",
302 "lastModifiedDate": "2019-08-24T14:15:22Z",
303 "archived": true,
304 "externalId": "string",
305 "id": 0,
306 "name": "string",
307 "code": "string"
308 },
309 "provinceCountryKey": "string"
310 },
311 "cityProvinceCountryKey": "string"
312 }
313 },
314 "cityId": 0,
315 "districtId": 0
316 },
317 "addressString": "string",
318 "cityStateDistrict": "string",
319 "country": "string",
320 "siteIntegrationStatusId": 0,
321 "siteIntegrationStatusDto": {
322 "createdBy": "string",
323 "lastModifiedBy": "string",
324 "createdDate": "2019-08-24T14:15:22Z",
325 "lastModifiedDate": "2019-08-24T14:15:22Z",
326 "archived": true,
327 "externalId": "string",
328 "id": 0,
329 "locationCreationStatus": "PENDING",
330 "locationActivationStatus": "PENDING",
331 "premiseCreationStatus": "PENDING",
332 "premiseActivationStatus": "PENDING",
333 "errorMessage": "string"
334 },
335 "defaultCurrency": {
336 "id": 0,
337 "status": "CREATED",
338 "displayId": "string",
339 "erpSystemId": 0,
340 "erpSystemDisplayId": "string",
341 "name": "string",
342 "decimalPoints": 0,
343 "depreciationAreaId": 0
344 },
345 "unit": {
346 "createdBy": "string",
347 "lastModifiedBy": "string",
348 "createdDate": "2019-08-24T14:15:22Z",
349 "lastModifiedDate": "2019-08-24T14:15:22Z",
350 "archived": true,
351 "externalId": "string",
352 "id": 0,
353 "unitId": 0,
354 "unitOfMeasureId": 0,
355 "erpSystemId": 0,
356 "unit": {
357 "createdBy": "string",
358 "lastModifiedBy": "string",
359 "createdDate": "2019-08-24T14:15:22Z",
360 "lastModifiedDate": "2019-08-24T14:15:22Z",
361 "archived": true,
362 "externalId": "string",
363 "id": 0,
364 "priority": 0,
365 "internalId": 0,
366 "pickListCode": "string",
367 "pickListLabel": "string",
368 "label": "string",
369 "cultureId": 0,
370 "labelDtos": [
371 {
372 "createdBy": "string",
373 "lastModifiedBy": "string",
374 "createdDate": "2019-08-24T14:15:22Z",
375 "lastModifiedDate": "2019-08-24T14:15:22Z",
376 "archived": true,
377 "externalId": "string",
378 "id": 0,
379 "cultureId": 0,
380 "value": "string"
381 }
382 ]
383 },
384 "unitOfMeasure": {
385 "id": 0,
386 "status": "CREATED",
387 "displayId": "string",
388 "erpSystemId": 0,
389 "erpSystemDisplayId": "string",
390 "name": "string"
391 }
392 },
393 "type": {
394 "createdBy": "string",
395 "lastModifiedBy": "string",
396 "createdDate": "2019-08-24T14:15:22Z",
397 "lastModifiedDate": "2019-08-24T14:15:22Z",
398 "archived": true,
399 "externalId": "string",
400 "id": 0,
401 "priority": 0,
402 "internalId": 0,
403 "pickListCode": "string",
404 "pickListLabel": "string",
405 "label": "string",
406 "cultureId": 0,
407 "labelDtos": [
408 {
409 "createdBy": "string",
410 "lastModifiedBy": "string",
411 "createdDate": "2019-08-24T14:15:22Z",
412 "lastModifiedDate": "2019-08-24T14:15:22Z",
413 "archived": true,
414 "externalId": "string",
415 "id": 0,
416 "cultureId": 0,
417 "value": "string"
418 }
419 ]
420 },
421 "sitePremiseDto": {
422 "createdBy": "string",
423 "lastModifiedBy": "string",
424 "createdDate": "2019-08-24T14:15:22Z",
425 "lastModifiedDate": "2019-08-24T14:15:22Z",
426 "archived": true,
427 "externalId": "string",
428 "id": 0,
429 "name": "string",
430 "fileNumber": "string",
431 "premiseUsageId": 0,
432 "areaTypeId": 0,
433 "areaName": "string",
434 "areaSourceId": 0,
435 "unitId": 0,
436 "area": 0,
437 "zoning": "string",
438 "conceptTypeId": 0,
439 "closestStoreDistance": 0,
440 "costCenterId": 0,
441 "referencePremiseId": 0,
442 "referencePremiseName": "string",
443 "referencePremiseDisplayId": "string",
444 "unitDto": {
445 "createdBy": "string",
446 "lastModifiedBy": "string",
447 "createdDate": "2019-08-24T14:15:22Z",
448 "lastModifiedDate": "2019-08-24T14:15:22Z",
449 "archived": true,
450 "externalId": "string",
451 "id": 0,
452 "unitId": 0,
453 "unitOfMeasureId": 0,
454 "erpSystemId": 0,
455 "unit": {
456 "createdBy": "string",
457 "lastModifiedBy": "string",
458 "createdDate": "2019-08-24T14:15:22Z",
459 "lastModifiedDate": "2019-08-24T14:15:22Z",
460 "archived": true,
461 "externalId": "string",
462 "id": 0,
463 "priority": 0,
464 "internalId": 0,
465 "pickListCode": "string",
466 "pickListLabel": "string",
467 "label": "string",
468 "cultureId": 0,
469 "labelDtos": [
470 {
471 "createdBy": "string",
472 "lastModifiedBy": "string",
473 "createdDate": "2019-08-24T14:15:22Z",
474 "lastModifiedDate": "2019-08-24T14:15:22Z",
475 "archived": true,
476 "externalId": "string",
477 "id": 0,
478 "cultureId": 0,
479 "value": "string"
480 }
481 ]
482 },
483 "unitOfMeasure": {
484 "id": 0,
485 "status": "CREATED",
486 "displayId": "string",
487 "erpSystemId": 0,
488 "erpSystemDisplayId": "string",
489 "name": "string"
490 }
491 },
492 "areaType": {
493 "createdBy": "string",
494 "lastModifiedBy": "string",
495 "createdDate": "2019-08-24T14:15:22Z",
496 "lastModifiedDate": "2019-08-24T14:15:22Z",
497 "archived": true,
498 "externalId": "string",
499 "id": 0,
500 "priority": 0,
501 "internalId": 0,
502 "pickListCode": "string",
503 "pickListLabel": "string",
504 "label": "string",
505 "cultureId": 0,
506 "labelDtos": [
507 {
508 "createdBy": "string",
509 "lastModifiedBy": "string",
510 "createdDate": "2019-08-24T14:15:22Z",
511 "lastModifiedDate": "2019-08-24T14:15:22Z",
512 "archived": true,
513 "externalId": "string",
514 "id": 0,
515 "cultureId": 0,
516 "value": "string"
517 }
518 ]
519 },
520 "areaSource": {
521 "createdBy": "string",
522 "lastModifiedBy": "string",
523 "createdDate": "2019-08-24T14:15:22Z",
524 "lastModifiedDate": "2019-08-24T14:15:22Z",
525 "archived": true,
526 "externalId": "string",
527 "id": 0,
528 "priority": 0,
529 "internalId": 0,
530 "pickListCode": "string",
531 "pickListLabel": "string",
532 "label": "string",
533 "cultureId": 0,
534 "labelDtos": [
535 {
536 "createdBy": "string",
537 "lastModifiedBy": "string",
538 "createdDate": "2019-08-24T14:15:22Z",
539 "lastModifiedDate": "2019-08-24T14:15:22Z",
540 "archived": true,
541 "externalId": "string",
542 "id": 0,
543 "cultureId": 0,
544 "value": "string"
545 }
546 ]
547 },
548 "conceptType": {
549 "createdBy": "string",
550 "lastModifiedBy": "string",
551 "createdDate": "2019-08-24T14:15:22Z",
552 "lastModifiedDate": "2019-08-24T14:15:22Z",
553 "archived": true,
554 "externalId": "string",
555 "id": 0,
556 "priority": 0,
557 "internalId": 0,
558 "pickListCode": "string",
559 "pickListLabel": "string",
560 "label": "string",
561 "cultureId": 0,
562 "labelDtos": [
563 {
564 "createdBy": "string",
565 "lastModifiedBy": "string",
566 "createdDate": "2019-08-24T14:15:22Z",
567 "lastModifiedDate": "2019-08-24T14:15:22Z",
568 "archived": true,
569 "externalId": "string",
570 "id": 0,
571 "cultureId": 0,
572 "value": "string"
573 }
574 ]
575 },
576 "premiseUsage": {
577 "createdBy": "string",
578 "lastModifiedBy": "string",
579 "createdDate": "2019-08-24T14:15:22Z",
580 "lastModifiedDate": "2019-08-24T14:15:22Z",
581 "archived": true,
582 "externalId": "string",
583 "id": 0,
584 "priority": 0,
585 "internalId": 0,
586 "pickListCode": "string",
587 "pickListLabel": "string",
588 "label": "string",
589 "cultureId": 0,
590 "labelDtos": [
591 {
592 "createdBy": "string",
593 "lastModifiedBy": "string",
594 "createdDate": "2019-08-24T14:15:22Z",
595 "lastModifiedDate": "2019-08-24T14:15:22Z",
596 "archived": true,
597 "externalId": "string",
598 "id": 0,
599 "cultureId": 0,
600 "value": "string"
601 }
602 ]
603 },
604 "occupanciesDto": [
605 {
606 "createdBy": "string",
607 "lastModifiedBy": "string",
608 "createdDate": "2019-08-24T14:15:22Z",
609 "lastModifiedDate": "2019-08-24T14:15:22Z",
610 "archived": true,
611 "externalId": "string",
612 "id": 0,
613 "priority": 0,
614 "internalId": 0,
615 "pickListCode": "string",
616 "pickListLabel": "string",
617 "label": "string",
618 "cultureId": 0,
619 "labelDtos": [
620 {
621 "createdBy": "string",
622 "lastModifiedBy": "string",
623 "createdDate": "2019-08-24T14:15:22Z",
624 "lastModifiedDate": "2019-08-24T14:15:22Z",
625 "archived": true,
626 "externalId": "string",
627 "id": 0,
628 "cultureId": 0,
629 "value": "string"
630 }
631 ]
632 }
633 ],
634 "cornerLocation": true
635 },
636 "projectSiteTag": {
637 "createdBy": "string",
638 "lastModifiedBy": "string",
639 "createdDate": "2019-08-24T14:15:22Z",
640 "lastModifiedDate": "2019-08-24T14:15:22Z",
641 "archived": true,
642 "externalId": "string",
643 "id": 0,
644 "priority": 0,
645 "internalId": 0,
646 "pickListCode": "string",
647 "pickListLabel": "string",
648 "label": "string",
649 "cultureId": 0,
650 "labelDtos": [
651 {
652 "createdBy": "string",
653 "lastModifiedBy": "string",
654 "createdDate": "2019-08-24T14:15:22Z",
655 "lastModifiedDate": "2019-08-24T14:15:22Z",
656 "archived": true,
657 "externalId": "string",
658 "id": 0,
659 "cultureId": 0,
660 "value": "string"
661 }
662 ]
663 },
664 "referenceLocationId": 0,
665 "referenceLocationName": "string",
666 "referenceLocationDisplayId": "string",
667 "landlords": "string",
668 "managers": "string",
669 "vendors": "string",
670 "siteManager": "string",
671 "siteDocumentList": [
672 {
673 "createdBy": "string",
674 "lastModifiedBy": "string",
675 "createdDate": "2019-08-24T14:15:22Z",
676 "lastModifiedDate": "2019-08-24T14:15:22Z",
677 "archived": true,
678 "externalId": "string",
679 "id": 0,
680 "name": "string",
681 "title": "string",
682 "type": "string",
683 "description": "string",
684 "link": "string",
685 "signedDate": "2019-08-24",
686 "documentTypeId": 0,
687 "statusId": 0,
688 "shareable": true,
689 "size": 0
690 }
691 ],
692 "totalPropertyScore": 0,
693 "siteFinancialAnalysisDtoList": {
694 "createdBy": "string",
695 "lastModifiedBy": "string",
696 "createdDate": "2019-08-24T14:15:22Z",
697 "lastModifiedDate": "2019-08-24T14:15:22Z",
698 "archived": true,
699 "externalId": "string",
700 "id": 0,
701 "discountRate": 0.1,
702 "netPresentValue": 0.1,
703 "returnOnInvestment": 0.1,
704 "breakEvenPoint": 0.1,
705 "name": "string",
706 "site": {
707 "createdBy": "string",
708 "lastModifiedBy": "string",
709 "createdDate": "2019-08-24T14:15:22Z",
710 "lastModifiedDate": "2019-08-24T14:15:22Z",
711 "archived": true,
712 "externalId": "string",
713 "id": 0,
714 "name": "string",
715 "storeNumber": "string",
716 "fileNumber": "string",
717 "businessUnitId": 0,
718 "propertyTypeId": 0,
719 "buildingTypeId": 0,
720 "siteQualityId": 0,
721 "areaTypeId": 0,
722 "areaName": "string",
723 "areaSourceId": 0,
724 "unitId": 0,
725 "area": 0,
726 "defaultCurrencyId": 0,
727 "typeId": 0,
728 "legalEntityIds": [
729 0
730 ],
731 "siteManagerId": 0,
732 "siteStatusId": 0,
733 "referenceLocationId": 0,
734 "draft": true
735 },
736 "siteId": 0,
737 "siteFinancialViabilityDtos": [
738 {
739 "createdBy": "string",
740 "lastModifiedBy": "string",
741 "createdDate": "2019-08-24T14:15:22Z",
742 "lastModifiedDate": "2019-08-24T14:15:22Z",
743 "archived": true,
744 "externalId": "string",
745 "id": 0,
746 "year": 0,
747 "salesGrowth": 0.1,
748 "salesRevenue": 0.1,
749 "otherIncome": 0.1,
750 "totalIncome": 0.1,
751 "siteAcquisitionCost": 0.1,
752 "renovationCost": 0.1,
753 "marketingExpense": 0.1,
754 "initialInventory": 0.1,
755 "operatingCost": 0.1,
756 "maintenanceCost": 0.1,
757 "landlordIncentive": 0.1,
758 "totalInvestment": 0.1,
759 "netCashFlow": 0.1,
760 "openingBalance": 0.1,
761 "closingBalance": 0.1,
762 "siteFinancialAnalysisId": 0
763 }
764 ],
765 "mainScenario": true
766 },
767 "siteScoreDtoList": {
768 "property1": [
769 {
770 "createdBy": "string",
771 "lastModifiedBy": "string",
772 "createdDate": "2019-08-24T14:15:22Z",
773 "lastModifiedDate": "2019-08-24T14:15:22Z",
774 "archived": true,
775 "externalId": "string",
776 "id": 0,
777 "siteScoreMetricId": 0,
778 "score": 0,
779 "weight": 0,
780 "siteScoreMetric": {
781 "createdBy": "string",
782 "lastModifiedBy": "string",
783 "createdDate": "2019-08-24T14:15:22Z",
784 "lastModifiedDate": "2019-08-24T14:15:22Z",
785 "archived": true,
786 "externalId": "string",
787 "id": 0,
788 "priority": 0,
789 "internalId": 0,
790 "pickListCode": "string",
791 "pickListLabel": "string",
792 "label": "string",
793 "cultureId": 0,
794 "labelDtos": [
795 {
796 "createdBy": "string",
797 "lastModifiedBy": "string",
798 "createdDate": "2019-08-24T14:15:22Z",
799 "lastModifiedDate": "2019-08-24T14:15:22Z",
800 "archived": true,
801 "externalId": "string",
802 "id": 0,
803 "cultureId": 0,
804 "value": "string"
805 }
806 ]
807 },
808 "totalScore": 0,
809 "siteId": 0
810 }
811 ],
812 "property2": [
813 {
814 "createdBy": "string",
815 "lastModifiedBy": "string",
816 "createdDate": "2019-08-24T14:15:22Z",
817 "lastModifiedDate": "2019-08-24T14:15:22Z",
818 "archived": true,
819 "externalId": "string",
820 "id": 0,
821 "siteScoreMetricId": 0,
822 "score": 0,
823 "weight": 0,
824 "siteScoreMetric": {
825 "createdBy": "string",
826 "lastModifiedBy": "string",
827 "createdDate": "2019-08-24T14:15:22Z",
828 "lastModifiedDate": "2019-08-24T14:15:22Z",
829 "archived": true,
830 "externalId": "string",
831 "id": 0,
832 "priority": 0,
833 "internalId": 0,
834 "pickListCode": "string",
835 "pickListLabel": "string",
836 "label": "string",
837 "cultureId": 0,
838 "labelDtos": [
839 {
840 "createdBy": "string",
841 "lastModifiedBy": "string",
842 "createdDate": "2019-08-24T14:15:22Z",
843 "lastModifiedDate": "2019-08-24T14:15:22Z",
844 "archived": true,
845 "externalId": "string",
846 "id": 0,
847 "cultureId": 0,
848 "value": "string"
849 }
850 ]
851 },
852 "totalScore": 0,
853 "siteId": 0
854 }
855 ]
856 },
857 "legalEntityIds": [
858 0
859 ],
860 "legalEntities": [
861 {
862 "id": 0,
863 "status": "CREATED",
864 "displayId": "string",
865 "erpSystemId": 0,
866 "erpSystemDisplayId": "string",
867 "countryId": 0,
868 "countryDisplayId": "string",
869 "postingPeriodVariantId": 0,
870 "name": "string",
871 "postingPeriodVariantDisplayId": "string",
872 "controllingAreaId": 0,
873 "controllingAreaDisplayId": "string",
874 "chartOfAccountId": 0,
875 "chartOfAccountDisplayId": "string",
876 "fiscalVariantId": 0,
877 "fiscalVariantDisplayId": "string",
878 "chartOfDepreciationId": 0,
879 "chartOfDepreciationDisplayId": "string",
880 "purchasingOrganizationId": 0,
881 "assetId": 0,
882 "exchangeRateTypeId": 0,
883 "plantId": 0,
884 "incrementalBorrowingRateId": 0,
885 "businessUnitId": 0,
886 "projectId": 0,
887 "transferVariantId": 0,
888 "partnerId": 0,
889 "departmentId": 0,
890 "accountingStandardId": 0,
891 "generalLedgerAccountId": 0,
892 "consumerPriceIndexCategoryId": 0,
893 "costCenterId": 0,
894 "costCenterRelationValidFrom": "2019-08-24",
895 "costCenterRelationValidTo": "2019-08-24"
896 }
897 ],
898 "draft": true
899}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Site - Get Site Premise Occupancies¶
HTTP Request
GET /api/sites/premises/{id}/occupancies
📋 Description: Fetches occupancy data for a specified premises within the Nakisa Portfolio Management Suite, enabling users to analyze asset utilization and optimize real estate property management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "priority": 0,
11 "internalId": 0,
12 "pickListCode": "string",
13 "pickListLabel": "string",
14 "label": "string",
15 "cultureId": 0,
16 "labelDtos": [
17 {
18 "createdBy": "string",
19 "lastModifiedBy": "string",
20 "createdDate": "2019-08-24T14:15:22Z",
21 "lastModifiedDate": "2019-08-24T14:15:22Z",
22 "archived": true,
23 "externalId": "string",
24 "id": 0,
25 "cultureId": 0,
26 "value": "string"
27 }
28 ]
29 }
30]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» priority |
integer(int64) |
false |
none |
Priority of the resource |
» internalId |
integer(int64) |
false |
none |
Unique identifier for the internal |
» pickListCode |
string |
false |
none |
Code for the pick list |
» pickListLabel |
string |
false |
none |
Label for the pick list |
» label |
string |
false |
none |
Label for the resource |
» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
» labelDtos |
false |
none |
List of labelDtos items |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»» value |
string |
true |
none |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
Site - Create Or Update Site Premise Occupancies¶
HTTP Request
PUT /api/sites/premises/{id}/occupancies
📋 Description: Updates the occupancy details for a specified premises within the Nakisa Portfolio Management Suite, enabling accurate tracking and management of real estate property utilization in the portfolio.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing updated occupancy data for the specified premises, including metrics relevant to portfolio management and real estate analytics. |
Body Parameters
1[
2 {
3 "id": 0
4 }
5]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "priority": 0,
11 "internalId": 0,
12 "pickListCode": "string",
13 "pickListLabel": "string",
14 "label": "string",
15 "cultureId": 0,
16 "labelDtos": [
17 {
18 "createdBy": "string",
19 "lastModifiedBy": "string",
20 "createdDate": "2019-08-24T14:15:22Z",
21 "lastModifiedDate": "2019-08-24T14:15:22Z",
22 "archived": true,
23 "externalId": "string",
24 "id": 0,
25 "cultureId": 0,
26 "value": "string"
27 }
28 ]
29 }
30]
Response Schema
Status Code 201
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» priority |
integer(int64) |
false |
none |
Priority of the resource |
» internalId |
integer(int64) |
false |
none |
Unique identifier for the internal |
» pickListCode |
string |
false |
none |
Code for the pick list |
» pickListLabel |
string |
false |
none |
Label for the pick list |
» label |
string |
false |
none |
Label for the resource |
» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
» labelDtos |
false |
none |
List of labelDtos items |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»» value |
string |
true |
none |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
Site - Update Site Integration Status¶
HTTP Request
PUT /api/sites/integration-status/{integrationStatusId}
📋 Description: Updates the integration status of a specified asset within the Nakisa Portfolio Management Suite, enabling accurate tracking and management of portfolio and real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
integrationStatusId |
path |
integer(int64) |
true |
Unique identifier for the integration status |
body |
body |
true |
Request body containing the integration status data for portfolio assets, including relevant analytics and metadata for real estate properties. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "locationCreationStatus": "PENDING",
10 "locationActivationStatus": "PENDING",
11 "premiseCreationStatus": "PENDING",
12 "premiseActivationStatus": "PENDING",
13 "errorMessage": "string"
14}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Site - Get Sites¶
HTTP Request
GET /api/sites
📋 Description: Retrieves a list of sites within the Nakisa Portfolio Management Suite, providing insights into portfolio assets and facilitating analytics for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results returned from the portfolio management API should be paginated, facilitating efficient data retrieval for assets and real estate properties. |
|
listing |
query |
boolean |
false |
Indicates whether to include detailed listing information for assets within the portfolio in the response from the Nakisa Portfolio Management Suite. |
search |
query |
string |
false |
Search term used to filter and retrieve specific portfolio, asset, or real estate property analytics within the Nakisa Portfolio Management Suite. |
id-in |
query |
string |
false |
Unique identifier for the site within the Nakisa Portfolio Management Suite, facilitating targeted retrieval of portfolio, asset, and analytics data related to real estate properties. |
external-id |
query |
string |
false |
Unique identifier for an external asset within the Nakisa Portfolio Management Suite, facilitating precise retrieval of portfolio and real estate property data. |
external-id-like |
query |
string |
false |
Specifies a string pattern to filter and retrieve site records that closely match the given external identifier within the Nakisa Portfolio Management Suite. |
city-id |
query |
string |
false |
Unique identifier for the city within the Nakisa Portfolio Management Suite, used to filter and retrieve specific portfolio, asset, and analytics data related to real estate properties. |
city-name-like |
query |
string |
false |
Specifies a substring of the city name to filter real estate properties within the portfolio analytics in the Nakisa Portfolio Management Suite. |
file-number |
query |
string |
false |
Unique identifier for the specific asset within the portfolio, facilitating targeted analytics and management of real estate properties. |
file-number-like |
query |
string |
false |
Specifies a string pattern to filter and retrieve site records based on their associated file numbers within the Nakisa Portfolio Management Suite, facilitating efficient portfolio and asset analytics. |
name |
query |
string |
false |
Name of the resource |
name-like |
query |
string |
false |
Filters the list of sites based on a partial match of the site name, facilitating targeted searches within the Nakisa Portfolio Management Suite for enhanced portfolio and asset analytics. |
archived |
query |
string |
false |
Indicates whether to retrieve archived records of portfolios, assets, and real estate properties within the Nakisa Portfolio Management Suite. |
store-number |
query |
string |
false |
Identifier for the specific store within the Nakisa Portfolio Management Suite, utilized to retrieve relevant portfolio, asset, and analytics data for real estate properties. |
store-number-like |
query |
string |
false |
Filters the results to return only sites that match the specified store number pattern, enhancing asset and portfolio analytics within the Nakisa Portfolio Management Suite. |
property-type-id |
query |
string |
false |
Unique identifier for the type of property within the Nakisa Portfolio Management Suite, used to filter results in portfolio, asset, and analytics queries related to real estate properties. |
status-id |
query |
string |
false |
Unique identifier for the status of assets within the Nakisa Portfolio Management Suite, facilitating targeted analytics and insights in portfolio and real estate property management. |
status-id-in |
query |
string |
false |
Specifies the unique identifier for the status of assets within the Nakisa Portfolio Management Suite, enabling targeted retrieval of portfolio-related data for analytics and real estate property management. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "sites": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "name": "string",
13 "storeNumber": "string",
14 "fileNumber": "string",
15 "businessUnitId": 0,
16 "siteStatusId": 0,
17 "siteManagerId": 0,
18 "propertyTypeId": 0,
19 "buildingTypeId": 0,
20 "siteQualityId": 0,
21 "areaTypeId": 0,
22 "areaName": "string",
23 "areaSourceId": 0,
24 "unitId": 0,
25 "area": 0,
26 "defaultCurrencyId": 0,
27 "typeId": 0,
28 "businessUnit": {
29 "createdBy": "string",
30 "lastModifiedBy": "string",
31 "createdDate": "2019-08-24T14:15:22Z",
32 "lastModifiedDate": "2019-08-24T14:15:22Z",
33 "archived": true,
34 "externalId": "string",
35 "id": 0,
36 "priority": 0,
37 "internalId": 0,
38 "pickListCode": "string",
39 "pickListLabel": "string",
40 "label": "string",
41 "cultureId": 0,
42 "labelDtos": [
43 {
44 "createdBy": "string",
45 "lastModifiedBy": "string",
46 "createdDate": "2019-08-24T14:15:22Z",
47 "lastModifiedDate": "2019-08-24T14:15:22Z",
48 "archived": true,
49 "externalId": "string",
50 "id": 0,
51 "cultureId": 0,
52 "value": "string"
53 }
54 ]
55 },
56 "propertyType": {
57 "createdBy": "string",
58 "lastModifiedBy": "string",
59 "createdDate": "2019-08-24T14:15:22Z",
60 "lastModifiedDate": "2019-08-24T14:15:22Z",
61 "archived": true,
62 "externalId": "string",
63 "id": 0,
64 "priority": 0,
65 "internalId": 0,
66 "pickListCode": "string",
67 "pickListLabel": "string",
68 "label": "string",
69 "cultureId": 0,
70 "labelDtos": [
71 {
72 "createdBy": "string",
73 "lastModifiedBy": "string",
74 "createdDate": "2019-08-24T14:15:22Z",
75 "lastModifiedDate": "2019-08-24T14:15:22Z",
76 "archived": true,
77 "externalId": "string",
78 "id": 0,
79 "cultureId": 0,
80 "value": "string"
81 }
82 ]
83 },
84 "propertyTypeLabel": "string",
85 "buildingType": {
86 "createdBy": "string",
87 "lastModifiedBy": "string",
88 "createdDate": "2019-08-24T14:15:22Z",
89 "lastModifiedDate": "2019-08-24T14:15:22Z",
90 "archived": true,
91 "externalId": "string",
92 "id": 0,
93 "priority": 0,
94 "internalId": 0,
95 "pickListCode": "string",
96 "pickListLabel": "string",
97 "label": "string",
98 "cultureId": 0,
99 "labelDtos": [
100 {
101 "createdBy": "string",
102 "lastModifiedBy": "string",
103 "createdDate": "2019-08-24T14:15:22Z",
104 "lastModifiedDate": "2019-08-24T14:15:22Z",
105 "archived": true,
106 "externalId": "string",
107 "id": 0,
108 "cultureId": 0,
109 "value": "string"
110 }
111 ]
112 },
113 "siteQuality": {
114 "createdBy": "string",
115 "lastModifiedBy": "string",
116 "createdDate": "2019-08-24T14:15:22Z",
117 "lastModifiedDate": "2019-08-24T14:15:22Z",
118 "archived": true,
119 "externalId": "string",
120 "id": 0,
121 "priority": 0,
122 "internalId": 0,
123 "pickListCode": "string",
124 "pickListLabel": "string",
125 "label": "string",
126 "cultureId": 0,
127 "labelDtos": [
128 {
129 "createdBy": "string",
130 "lastModifiedBy": "string",
131 "createdDate": "2019-08-24T14:15:22Z",
132 "lastModifiedDate": "2019-08-24T14:15:22Z",
133 "archived": true,
134 "externalId": "string",
135 "id": 0,
136 "cultureId": 0,
137 "value": "string"
138 }
139 ]
140 },
141 "areaType": {
142 "createdBy": "string",
143 "lastModifiedBy": "string",
144 "createdDate": "2019-08-24T14:15:22Z",
145 "lastModifiedDate": "2019-08-24T14:15:22Z",
146 "archived": true,
147 "externalId": "string",
148 "id": 0,
149 "priority": 0,
150 "internalId": 0,
151 "pickListCode": "string",
152 "pickListLabel": "string",
153 "label": "string",
154 "cultureId": 0,
155 "labelDtos": [
156 {
157 "createdBy": "string",
158 "lastModifiedBy": "string",
159 "createdDate": "2019-08-24T14:15:22Z",
160 "lastModifiedDate": "2019-08-24T14:15:22Z",
161 "archived": true,
162 "externalId": "string",
163 "id": 0,
164 "cultureId": 0,
165 "value": "string"
166 }
167 ]
168 },
169 "areaSource": {
170 "createdBy": "string",
171 "lastModifiedBy": "string",
172 "createdDate": "2019-08-24T14:15:22Z",
173 "lastModifiedDate": "2019-08-24T14:15:22Z",
174 "archived": true,
175 "externalId": "string",
176 "id": 0,
177 "priority": 0,
178 "internalId": 0,
179 "pickListCode": "string",
180 "pickListLabel": "string",
181 "label": "string",
182 "cultureId": 0,
183 "labelDtos": [
184 {
185 "createdBy": "string",
186 "lastModifiedBy": "string",
187 "createdDate": "2019-08-24T14:15:22Z",
188 "lastModifiedDate": "2019-08-24T14:15:22Z",
189 "archived": true,
190 "externalId": "string",
191 "id": 0,
192 "cultureId": 0,
193 "value": "string"
194 }
195 ]
196 },
197 "siteStatus": {
198 "createdBy": "string",
199 "lastModifiedBy": "string",
200 "createdDate": "2019-08-24T14:15:22Z",
201 "lastModifiedDate": "2019-08-24T14:15:22Z",
202 "archived": true,
203 "externalId": "string",
204 "id": 0,
205 "priority": 0,
206 "internalId": 0,
207 "pickListCode": "string",
208 "pickListLabel": "string",
209 "label": "string",
210 "cultureId": 0,
211 "labelDtos": [
212 {
213 "createdBy": "string",
214 "lastModifiedBy": "string",
215 "createdDate": "2019-08-24T14:15:22Z",
216 "lastModifiedDate": "2019-08-24T14:15:22Z",
217 "archived": true,
218 "externalId": "string",
219 "id": 0,
220 "cultureId": 0,
221 "value": "string"
222 }
223 ]
224 },
225 "addressDto": {
226 "createdBy": "string",
227 "lastModifiedBy": "string",
228 "createdDate": "2019-08-24T14:15:22Z",
229 "lastModifiedDate": "2019-08-24T14:15:22Z",
230 "archived": true,
231 "externalId": "string",
232 "id": 0,
233 "street": "string",
234 "civicNumber": "string",
235 "suite": "string",
236 "postalCode": "string",
237 "lon": 0.1,
238 "lat": 0.1,
239 "city": {
240 "createdBy": "string",
241 "lastModifiedBy": "string",
242 "createdDate": "2019-08-24T14:15:22Z",
243 "lastModifiedDate": "2019-08-24T14:15:22Z",
244 "archived": true,
245 "externalId": "string",
246 "id": 0,
247 "name": "string",
248 "province": {
249 "createdBy": "string",
250 "lastModifiedBy": "string",
251 "createdDate": "2019-08-24T14:15:22Z",
252 "lastModifiedDate": "2019-08-24T14:15:22Z",
253 "archived": true,
254 "externalId": "string",
255 "id": 0,
256 "name": "string",
257 "code": "string",
258 "country": {
259 "createdBy": "string",
260 "lastModifiedBy": "string",
261 "createdDate": "2019-08-24T14:15:22Z",
262 "lastModifiedDate": "2019-08-24T14:15:22Z",
263 "archived": true,
264 "externalId": "string",
265 "id": 0,
266 "name": "string",
267 "code": "string"
268 },
269 "provinceCountryKey": "string"
270 },
271 "cityProvinceCountryKey": "string"
272 },
273 "district": {
274 "createdBy": "string",
275 "lastModifiedBy": "string",
276 "createdDate": "2019-08-24T14:15:22Z",
277 "lastModifiedDate": "2019-08-24T14:15:22Z",
278 "archived": true,
279 "externalId": "string",
280 "id": 0,
281 "name": "string",
282 "city": {
283 "createdBy": "string",
284 "lastModifiedBy": "string",
285 "createdDate": "2019-08-24T14:15:22Z",
286 "lastModifiedDate": "2019-08-24T14:15:22Z",
287 "archived": true,
288 "externalId": "string",
289 "id": 0,
290 "name": "string",
291 "province": {
292 "createdBy": "string",
293 "lastModifiedBy": "string",
294 "createdDate": "2019-08-24T14:15:22Z",
295 "lastModifiedDate": "2019-08-24T14:15:22Z",
296 "archived": true,
297 "externalId": "string",
298 "id": 0,
299 "name": "string",
300 "code": "string",
301 "country": {
302 "createdBy": "string",
303 "lastModifiedBy": "string",
304 "createdDate": "2019-08-24T14:15:22Z",
305 "lastModifiedDate": "2019-08-24T14:15:22Z",
306 "archived": true,
307 "externalId": "string",
308 "id": 0,
309 "name": "string",
310 "code": "string"
311 },
312 "provinceCountryKey": "string"
313 },
314 "cityProvinceCountryKey": "string"
315 }
316 },
317 "cityId": 0,
318 "districtId": 0
319 },
320 "addressString": "string",
321 "cityStateDistrict": "string",
322 "country": "string",
323 "siteIntegrationStatusId": 0,
324 "siteIntegrationStatusDto": {
325 "createdBy": "string",
326 "lastModifiedBy": "string",
327 "createdDate": "2019-08-24T14:15:22Z",
328 "lastModifiedDate": "2019-08-24T14:15:22Z",
329 "archived": true,
330 "externalId": "string",
331 "id": 0,
332 "locationCreationStatus": "PENDING",
333 "locationActivationStatus": "PENDING",
334 "premiseCreationStatus": "PENDING",
335 "premiseActivationStatus": "PENDING",
336 "errorMessage": "string"
337 },
338 "defaultCurrency": {
339 "id": 0,
340 "status": "CREATED",
341 "displayId": "string",
342 "erpSystemId": 0,
343 "erpSystemDisplayId": "string",
344 "name": "string",
345 "decimalPoints": 0,
346 "depreciationAreaId": 0
347 },
348 "unit": {
349 "createdBy": "string",
350 "lastModifiedBy": "string",
351 "createdDate": "2019-08-24T14:15:22Z",
352 "lastModifiedDate": "2019-08-24T14:15:22Z",
353 "archived": true,
354 "externalId": "string",
355 "id": 0,
356 "unitId": 0,
357 "unitOfMeasureId": 0,
358 "erpSystemId": 0,
359 "unit": {
360 "createdBy": "string",
361 "lastModifiedBy": "string",
362 "createdDate": "2019-08-24T14:15:22Z",
363 "lastModifiedDate": "2019-08-24T14:15:22Z",
364 "archived": true,
365 "externalId": "string",
366 "id": 0,
367 "priority": 0,
368 "internalId": 0,
369 "pickListCode": "string",
370 "pickListLabel": "string",
371 "label": "string",
372 "cultureId": 0,
373 "labelDtos": [
374 {
375 "createdBy": "string",
376 "lastModifiedBy": "string",
377 "createdDate": "2019-08-24T14:15:22Z",
378 "lastModifiedDate": "2019-08-24T14:15:22Z",
379 "archived": true,
380 "externalId": "string",
381 "id": 0,
382 "cultureId": 0,
383 "value": "string"
384 }
385 ]
386 },
387 "unitOfMeasure": {
388 "id": 0,
389 "status": "CREATED",
390 "displayId": "string",
391 "erpSystemId": 0,
392 "erpSystemDisplayId": "string",
393 "name": "string"
394 }
395 },
396 "type": {
397 "createdBy": "string",
398 "lastModifiedBy": "string",
399 "createdDate": "2019-08-24T14:15:22Z",
400 "lastModifiedDate": "2019-08-24T14:15:22Z",
401 "archived": true,
402 "externalId": "string",
403 "id": 0,
404 "priority": 0,
405 "internalId": 0,
406 "pickListCode": "string",
407 "pickListLabel": "string",
408 "label": "string",
409 "cultureId": 0,
410 "labelDtos": [
411 {
412 "createdBy": "string",
413 "lastModifiedBy": "string",
414 "createdDate": "2019-08-24T14:15:22Z",
415 "lastModifiedDate": "2019-08-24T14:15:22Z",
416 "archived": true,
417 "externalId": "string",
418 "id": 0,
419 "cultureId": 0,
420 "value": "string"
421 }
422 ]
423 },
424 "sitePremiseDto": {
425 "createdBy": "string",
426 "lastModifiedBy": "string",
427 "createdDate": "2019-08-24T14:15:22Z",
428 "lastModifiedDate": "2019-08-24T14:15:22Z",
429 "archived": true,
430 "externalId": "string",
431 "id": 0,
432 "name": "string",
433 "fileNumber": "string",
434 "premiseUsageId": 0,
435 "areaTypeId": 0,
436 "areaName": "string",
437 "areaSourceId": 0,
438 "unitId": 0,
439 "area": 0,
440 "zoning": "string",
441 "conceptTypeId": 0,
442 "closestStoreDistance": 0,
443 "costCenterId": 0,
444 "referencePremiseId": 0,
445 "referencePremiseName": "string",
446 "referencePremiseDisplayId": "string",
447 "unitDto": {
448 "createdBy": "string",
449 "lastModifiedBy": "string",
450 "createdDate": "2019-08-24T14:15:22Z",
451 "lastModifiedDate": "2019-08-24T14:15:22Z",
452 "archived": true,
453 "externalId": "string",
454 "id": 0,
455 "unitId": 0,
456 "unitOfMeasureId": 0,
457 "erpSystemId": 0,
458 "unit": {
459 "createdBy": "string",
460 "lastModifiedBy": "string",
461 "createdDate": "2019-08-24T14:15:22Z",
462 "lastModifiedDate": "2019-08-24T14:15:22Z",
463 "archived": true,
464 "externalId": "string",
465 "id": 0,
466 "priority": 0,
467 "internalId": 0,
468 "pickListCode": "string",
469 "pickListLabel": "string",
470 "label": "string",
471 "cultureId": 0,
472 "labelDtos": [
473 {
474 "createdBy": "string",
475 "lastModifiedBy": "string",
476 "createdDate": "2019-08-24T14:15:22Z",
477 "lastModifiedDate": "2019-08-24T14:15:22Z",
478 "archived": true,
479 "externalId": "string",
480 "id": 0,
481 "cultureId": 0,
482 "value": "string"
483 }
484 ]
485 },
486 "unitOfMeasure": {
487 "id": 0,
488 "status": "CREATED",
489 "displayId": "string",
490 "erpSystemId": 0,
491 "erpSystemDisplayId": "string",
492 "name": "string"
493 }
494 },
495 "areaType": {
496 "createdBy": "string",
497 "lastModifiedBy": "string",
498 "createdDate": "2019-08-24T14:15:22Z",
499 "lastModifiedDate": "2019-08-24T14:15:22Z",
500 "archived": true,
501 "externalId": "string",
502 "id": 0,
503 "priority": 0,
504 "internalId": 0,
505 "pickListCode": "string",
506 "pickListLabel": "string",
507 "label": "string",
508 "cultureId": 0,
509 "labelDtos": [
510 {
511 "createdBy": "string",
512 "lastModifiedBy": "string",
513 "createdDate": "2019-08-24T14:15:22Z",
514 "lastModifiedDate": "2019-08-24T14:15:22Z",
515 "archived": true,
516 "externalId": "string",
517 "id": 0,
518 "cultureId": 0,
519 "value": "string"
520 }
521 ]
522 },
523 "areaSource": {
524 "createdBy": "string",
525 "lastModifiedBy": "string",
526 "createdDate": "2019-08-24T14:15:22Z",
527 "lastModifiedDate": "2019-08-24T14:15:22Z",
528 "archived": true,
529 "externalId": "string",
530 "id": 0,
531 "priority": 0,
532 "internalId": 0,
533 "pickListCode": "string",
534 "pickListLabel": "string",
535 "label": "string",
536 "cultureId": 0,
537 "labelDtos": [
538 {
539 "createdBy": "string",
540 "lastModifiedBy": "string",
541 "createdDate": "2019-08-24T14:15:22Z",
542 "lastModifiedDate": "2019-08-24T14:15:22Z",
543 "archived": true,
544 "externalId": "string",
545 "id": 0,
546 "cultureId": 0,
547 "value": "string"
548 }
549 ]
550 },
551 "conceptType": {
552 "createdBy": "string",
553 "lastModifiedBy": "string",
554 "createdDate": "2019-08-24T14:15:22Z",
555 "lastModifiedDate": "2019-08-24T14:15:22Z",
556 "archived": true,
557 "externalId": "string",
558 "id": 0,
559 "priority": 0,
560 "internalId": 0,
561 "pickListCode": "string",
562 "pickListLabel": "string",
563 "label": "string",
564 "cultureId": 0,
565 "labelDtos": [
566 {
567 "createdBy": "string",
568 "lastModifiedBy": "string",
569 "createdDate": "2019-08-24T14:15:22Z",
570 "lastModifiedDate": "2019-08-24T14:15:22Z",
571 "archived": true,
572 "externalId": "string",
573 "id": 0,
574 "cultureId": 0,
575 "value": "string"
576 }
577 ]
578 },
579 "premiseUsage": {
580 "createdBy": "string",
581 "lastModifiedBy": "string",
582 "createdDate": "2019-08-24T14:15:22Z",
583 "lastModifiedDate": "2019-08-24T14:15:22Z",
584 "archived": true,
585 "externalId": "string",
586 "id": 0,
587 "priority": 0,
588 "internalId": 0,
589 "pickListCode": "string",
590 "pickListLabel": "string",
591 "label": "string",
592 "cultureId": 0,
593 "labelDtos": [
594 {
595 "createdBy": "string",
596 "lastModifiedBy": "string",
597 "createdDate": "2019-08-24T14:15:22Z",
598 "lastModifiedDate": "2019-08-24T14:15:22Z",
599 "archived": true,
600 "externalId": "string",
601 "id": 0,
602 "cultureId": 0,
603 "value": "string"
604 }
605 ]
606 },
607 "occupanciesDto": [
608 {
609 "createdBy": "string",
610 "lastModifiedBy": "string",
611 "createdDate": "2019-08-24T14:15:22Z",
612 "lastModifiedDate": "2019-08-24T14:15:22Z",
613 "archived": true,
614 "externalId": "string",
615 "id": 0,
616 "priority": 0,
617 "internalId": 0,
618 "pickListCode": "string",
619 "pickListLabel": "string",
620 "label": "string",
621 "cultureId": 0,
622 "labelDtos": [
623 {
624 "createdBy": "string",
625 "lastModifiedBy": "string",
626 "createdDate": "2019-08-24T14:15:22Z",
627 "lastModifiedDate": "2019-08-24T14:15:22Z",
628 "archived": true,
629 "externalId": "string",
630 "id": 0,
631 "cultureId": 0,
632 "value": "string"
633 }
634 ]
635 }
636 ],
637 "cornerLocation": true
638 },
639 "projectSiteTag": {
640 "createdBy": "string",
641 "lastModifiedBy": "string",
642 "createdDate": "2019-08-24T14:15:22Z",
643 "lastModifiedDate": "2019-08-24T14:15:22Z",
644 "archived": true,
645 "externalId": "string",
646 "id": 0,
647 "priority": 0,
648 "internalId": 0,
649 "pickListCode": "string",
650 "pickListLabel": "string",
651 "label": "string",
652 "cultureId": 0,
653 "labelDtos": [
654 {
655 "createdBy": "string",
656 "lastModifiedBy": "string",
657 "createdDate": "2019-08-24T14:15:22Z",
658 "lastModifiedDate": "2019-08-24T14:15:22Z",
659 "archived": true,
660 "externalId": "string",
661 "id": 0,
662 "cultureId": 0,
663 "value": "string"
664 }
665 ]
666 },
667 "referenceLocationId": 0,
668 "referenceLocationName": "string",
669 "referenceLocationDisplayId": "string",
670 "landlords": "string",
671 "managers": "string",
672 "vendors": "string",
673 "siteManager": "string",
674 "siteDocumentList": [
675 {
676 "createdBy": "string",
677 "lastModifiedBy": "string",
678 "createdDate": "2019-08-24T14:15:22Z",
679 "lastModifiedDate": "2019-08-24T14:15:22Z",
680 "archived": true,
681 "externalId": "string",
682 "id": 0,
683 "name": "string",
684 "title": "string",
685 "type": "string",
686 "description": "string",
687 "link": "string",
688 "signedDate": "2019-08-24",
689 "documentTypeId": 0,
690 "statusId": 0,
691 "shareable": true,
692 "size": 0
693 }
694 ],
695 "totalPropertyScore": 0,
696 "siteFinancialAnalysisDtoList": {
697 "createdBy": "string",
698 "lastModifiedBy": "string",
699 "createdDate": "2019-08-24T14:15:22Z",
700 "lastModifiedDate": "2019-08-24T14:15:22Z",
701 "archived": true,
702 "externalId": "string",
703 "id": 0,
704 "discountRate": 0.1,
705 "netPresentValue": 0.1,
706 "returnOnInvestment": 0.1,
707 "breakEvenPoint": 0.1,
708 "name": "string",
709 "site": {
710 "createdBy": "string",
711 "lastModifiedBy": "string",
712 "createdDate": "2019-08-24T14:15:22Z",
713 "lastModifiedDate": "2019-08-24T14:15:22Z",
714 "archived": true,
715 "externalId": "string",
716 "id": 0,
717 "name": "string",
718 "storeNumber": "string",
719 "fileNumber": "string",
720 "businessUnitId": 0,
721 "propertyTypeId": 0,
722 "buildingTypeId": 0,
723 "siteQualityId": 0,
724 "areaTypeId": 0,
725 "areaName": "string",
726 "areaSourceId": 0,
727 "unitId": 0,
728 "area": 0,
729 "defaultCurrencyId": 0,
730 "typeId": 0,
731 "legalEntityIds": [
732 0
733 ],
734 "siteManagerId": 0,
735 "siteStatusId": 0,
736 "referenceLocationId": 0,
737 "draft": true
738 },
739 "siteId": 0,
740 "siteFinancialViabilityDtos": [
741 {
742 "createdBy": "string",
743 "lastModifiedBy": "string",
744 "createdDate": "2019-08-24T14:15:22Z",
745 "lastModifiedDate": "2019-08-24T14:15:22Z",
746 "archived": true,
747 "externalId": "string",
748 "id": 0,
749 "year": 0,
750 "salesGrowth": 0.1,
751 "salesRevenue": 0.1,
752 "otherIncome": 0.1,
753 "totalIncome": 0.1,
754 "siteAcquisitionCost": 0.1,
755 "renovationCost": 0.1,
756 "marketingExpense": 0.1,
757 "initialInventory": 0.1,
758 "operatingCost": 0.1,
759 "maintenanceCost": 0.1,
760 "landlordIncentive": 0.1,
761 "totalInvestment": 0.1,
762 "netCashFlow": 0.1,
763 "openingBalance": 0.1,
764 "closingBalance": 0.1,
765 "siteFinancialAnalysisId": 0
766 }
767 ],
768 "mainScenario": true
769 },
770 "siteScoreDtoList": {
771 "property1": [
772 {
773 "createdBy": "string",
774 "lastModifiedBy": "string",
775 "createdDate": "2019-08-24T14:15:22Z",
776 "lastModifiedDate": "2019-08-24T14:15:22Z",
777 "archived": true,
778 "externalId": "string",
779 "id": 0,
780 "siteScoreMetricId": 0,
781 "score": 0,
782 "weight": 0,
783 "siteScoreMetric": {
784 "createdBy": "string",
785 "lastModifiedBy": "string",
786 "createdDate": "2019-08-24T14:15:22Z",
787 "lastModifiedDate": "2019-08-24T14:15:22Z",
788 "archived": true,
789 "externalId": "string",
790 "id": 0,
791 "priority": 0,
792 "internalId": 0,
793 "pickListCode": "string",
794 "pickListLabel": "string",
795 "label": "string",
796 "cultureId": 0,
797 "labelDtos": [
798 {
799 "createdBy": "string",
800 "lastModifiedBy": "string",
801 "createdDate": "2019-08-24T14:15:22Z",
802 "lastModifiedDate": "2019-08-24T14:15:22Z",
803 "archived": true,
804 "externalId": "string",
805 "id": 0,
806 "cultureId": 0,
807 "value": "string"
808 }
809 ]
810 },
811 "totalScore": 0,
812 "siteId": 0
813 }
814 ],
815 "property2": [
816 {
817 "createdBy": "string",
818 "lastModifiedBy": "string",
819 "createdDate": "2019-08-24T14:15:22Z",
820 "lastModifiedDate": "2019-08-24T14:15:22Z",
821 "archived": true,
822 "externalId": "string",
823 "id": 0,
824 "siteScoreMetricId": 0,
825 "score": 0,
826 "weight": 0,
827 "siteScoreMetric": {
828 "createdBy": "string",
829 "lastModifiedBy": "string",
830 "createdDate": "2019-08-24T14:15:22Z",
831 "lastModifiedDate": "2019-08-24T14:15:22Z",
832 "archived": true,
833 "externalId": "string",
834 "id": 0,
835 "priority": 0,
836 "internalId": 0,
837 "pickListCode": "string",
838 "pickListLabel": "string",
839 "label": "string",
840 "cultureId": 0,
841 "labelDtos": [
842 {
843 "createdBy": "string",
844 "lastModifiedBy": "string",
845 "createdDate": "2019-08-24T14:15:22Z",
846 "lastModifiedDate": "2019-08-24T14:15:22Z",
847 "archived": true,
848 "externalId": "string",
849 "id": 0,
850 "cultureId": 0,
851 "value": "string"
852 }
853 ]
854 },
855 "totalScore": 0,
856 "siteId": 0
857 }
858 ]
859 },
860 "legalEntityIds": [
861 0
862 ],
863 "legalEntities": [
864 {
865 "id": 0,
866 "status": "CREATED",
867 "displayId": "string",
868 "erpSystemId": 0,
869 "erpSystemDisplayId": "string",
870 "countryId": 0,
871 "countryDisplayId": "string",
872 "postingPeriodVariantId": 0,
873 "name": "string",
874 "postingPeriodVariantDisplayId": "string",
875 "controllingAreaId": 0,
876 "controllingAreaDisplayId": "string",
877 "chartOfAccountId": 0,
878 "chartOfAccountDisplayId": "string",
879 "fiscalVariantId": 0,
880 "fiscalVariantDisplayId": "string",
881 "chartOfDepreciationId": 0,
882 "chartOfDepreciationDisplayId": "string",
883 "purchasingOrganizationId": 0,
884 "assetId": 0,
885 "exchangeRateTypeId": 0,
886 "plantId": 0,
887 "incrementalBorrowingRateId": 0,
888 "businessUnitId": 0,
889 "projectId": 0,
890 "transferVariantId": 0,
891 "partnerId": 0,
892 "departmentId": 0,
893 "accountingStandardId": 0,
894 "generalLedgerAccountId": 0,
895 "consumerPriceIndexCategoryId": 0,
896 "costCenterId": 0,
897 "costCenterRelationValidFrom": "2019-08-24",
898 "costCenterRelationValidTo": "2019-08-24"
899 }
900 ],
901 "draft": true
902 }
903 ]
904 },
905 "page": {
906 "size": 0,
907 "totalElements": 0,
908 "totalPages": 0,
909 "number": 0
910 }
911}
Site - Create Site¶
HTTP Request
POST /api/sites
📋 Description: Creates a new site entry within the Nakisa Portfolio Management Suite, enabling users to manage real estate properties and associated assets effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the portfolio and asset details necessary for creating a new site within the Nakisa Portfolio Management Suite, including relevant analytics and real estate property information. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "storeNumber": "string",
11 "fileNumber": "string",
12 "businessUnitId": 0,
13 "siteStatusId": 0,
14 "siteManagerId": 0,
15 "propertyTypeId": 0,
16 "buildingTypeId": 0,
17 "siteQualityId": 0,
18 "areaTypeId": 0,
19 "areaName": "string",
20 "areaSourceId": 0,
21 "unitId": 0,
22 "area": 0,
23 "defaultCurrencyId": 0,
24 "typeId": 0,
25 "businessUnit": {
26 "createdBy": "string",
27 "lastModifiedBy": "string",
28 "createdDate": "2019-08-24T14:15:22Z",
29 "lastModifiedDate": "2019-08-24T14:15:22Z",
30 "archived": true,
31 "externalId": "string",
32 "id": 0,
33 "priority": 0,
34 "internalId": 0,
35 "pickListCode": "string",
36 "pickListLabel": "string",
37 "label": "string",
38 "cultureId": 0,
39 "labelDtos": [
40 {
41 "createdBy": "string",
42 "lastModifiedBy": "string",
43 "createdDate": "2019-08-24T14:15:22Z",
44 "lastModifiedDate": "2019-08-24T14:15:22Z",
45 "archived": true,
46 "externalId": "string",
47 "id": 0,
48 "cultureId": 0,
49 "value": "string"
50 }
51 ]
52 },
53 "propertyType": {
54 "createdBy": "string",
55 "lastModifiedBy": "string",
56 "createdDate": "2019-08-24T14:15:22Z",
57 "lastModifiedDate": "2019-08-24T14:15:22Z",
58 "archived": true,
59 "externalId": "string",
60 "id": 0,
61 "priority": 0,
62 "internalId": 0,
63 "pickListCode": "string",
64 "pickListLabel": "string",
65 "label": "string",
66 "cultureId": 0,
67 "labelDtos": [
68 {
69 "createdBy": "string",
70 "lastModifiedBy": "string",
71 "createdDate": "2019-08-24T14:15:22Z",
72 "lastModifiedDate": "2019-08-24T14:15:22Z",
73 "archived": true,
74 "externalId": "string",
75 "id": 0,
76 "cultureId": 0,
77 "value": "string"
78 }
79 ]
80 },
81 "propertyTypeLabel": "string",
82 "buildingType": {
83 "createdBy": "string",
84 "lastModifiedBy": "string",
85 "createdDate": "2019-08-24T14:15:22Z",
86 "lastModifiedDate": "2019-08-24T14:15:22Z",
87 "archived": true,
88 "externalId": "string",
89 "id": 0,
90 "priority": 0,
91 "internalId": 0,
92 "pickListCode": "string",
93 "pickListLabel": "string",
94 "label": "string",
95 "cultureId": 0,
96 "labelDtos": [
97 {
98 "createdBy": "string",
99 "lastModifiedBy": "string",
100 "createdDate": "2019-08-24T14:15:22Z",
101 "lastModifiedDate": "2019-08-24T14:15:22Z",
102 "archived": true,
103 "externalId": "string",
104 "id": 0,
105 "cultureId": 0,
106 "value": "string"
107 }
108 ]
109 },
110 "siteQuality": {
111 "createdBy": "string",
112 "lastModifiedBy": "string",
113 "createdDate": "2019-08-24T14:15:22Z",
114 "lastModifiedDate": "2019-08-24T14:15:22Z",
115 "archived": true,
116 "externalId": "string",
117 "id": 0,
118 "priority": 0,
119 "internalId": 0,
120 "pickListCode": "string",
121 "pickListLabel": "string",
122 "label": "string",
123 "cultureId": 0,
124 "labelDtos": [
125 {
126 "createdBy": "string",
127 "lastModifiedBy": "string",
128 "createdDate": "2019-08-24T14:15:22Z",
129 "lastModifiedDate": "2019-08-24T14:15:22Z",
130 "archived": true,
131 "externalId": "string",
132 "id": 0,
133 "cultureId": 0,
134 "value": "string"
135 }
136 ]
137 },
138 "areaType": {
139 "createdBy": "string",
140 "lastModifiedBy": "string",
141 "createdDate": "2019-08-24T14:15:22Z",
142 "lastModifiedDate": "2019-08-24T14:15:22Z",
143 "archived": true,
144 "externalId": "string",
145 "id": 0,
146 "priority": 0,
147 "internalId": 0,
148 "pickListCode": "string",
149 "pickListLabel": "string",
150 "label": "string",
151 "cultureId": 0,
152 "labelDtos": [
153 {
154 "createdBy": "string",
155 "lastModifiedBy": "string",
156 "createdDate": "2019-08-24T14:15:22Z",
157 "lastModifiedDate": "2019-08-24T14:15:22Z",
158 "archived": true,
159 "externalId": "string",
160 "id": 0,
161 "cultureId": 0,
162 "value": "string"
163 }
164 ]
165 },
166 "areaSource": {
167 "createdBy": "string",
168 "lastModifiedBy": "string",
169 "createdDate": "2019-08-24T14:15:22Z",
170 "lastModifiedDate": "2019-08-24T14:15:22Z",
171 "archived": true,
172 "externalId": "string",
173 "id": 0,
174 "priority": 0,
175 "internalId": 0,
176 "pickListCode": "string",
177 "pickListLabel": "string",
178 "label": "string",
179 "cultureId": 0,
180 "labelDtos": [
181 {
182 "createdBy": "string",
183 "lastModifiedBy": "string",
184 "createdDate": "2019-08-24T14:15:22Z",
185 "lastModifiedDate": "2019-08-24T14:15:22Z",
186 "archived": true,
187 "externalId": "string",
188 "id": 0,
189 "cultureId": 0,
190 "value": "string"
191 }
192 ]
193 },
194 "siteStatus": {
195 "createdBy": "string",
196 "lastModifiedBy": "string",
197 "createdDate": "2019-08-24T14:15:22Z",
198 "lastModifiedDate": "2019-08-24T14:15:22Z",
199 "archived": true,
200 "externalId": "string",
201 "id": 0,
202 "priority": 0,
203 "internalId": 0,
204 "pickListCode": "string",
205 "pickListLabel": "string",
206 "label": "string",
207 "cultureId": 0,
208 "labelDtos": [
209 {
210 "createdBy": "string",
211 "lastModifiedBy": "string",
212 "createdDate": "2019-08-24T14:15:22Z",
213 "lastModifiedDate": "2019-08-24T14:15:22Z",
214 "archived": true,
215 "externalId": "string",
216 "id": 0,
217 "cultureId": 0,
218 "value": "string"
219 }
220 ]
221 },
222 "addressDto": {
223 "createdBy": "string",
224 "lastModifiedBy": "string",
225 "createdDate": "2019-08-24T14:15:22Z",
226 "lastModifiedDate": "2019-08-24T14:15:22Z",
227 "archived": true,
228 "externalId": "string",
229 "id": 0,
230 "street": "string",
231 "civicNumber": "string",
232 "suite": "string",
233 "postalCode": "string",
234 "lon": 0.1,
235 "lat": 0.1,
236 "city": {
237 "createdBy": "string",
238 "lastModifiedBy": "string",
239 "createdDate": "2019-08-24T14:15:22Z",
240 "lastModifiedDate": "2019-08-24T14:15:22Z",
241 "archived": true,
242 "externalId": "string",
243 "id": 0,
244 "name": "string",
245 "province": {
246 "createdBy": "string",
247 "lastModifiedBy": "string",
248 "createdDate": "2019-08-24T14:15:22Z",
249 "lastModifiedDate": "2019-08-24T14:15:22Z",
250 "archived": true,
251 "externalId": "string",
252 "id": 0,
253 "name": "string",
254 "code": "string",
255 "country": {
256 "createdBy": "string",
257 "lastModifiedBy": "string",
258 "createdDate": "2019-08-24T14:15:22Z",
259 "lastModifiedDate": "2019-08-24T14:15:22Z",
260 "archived": true,
261 "externalId": "string",
262 "id": 0,
263 "name": "string",
264 "code": "string"
265 },
266 "provinceCountryKey": "string"
267 },
268 "cityProvinceCountryKey": "string"
269 },
270 "district": {
271 "createdBy": "string",
272 "lastModifiedBy": "string",
273 "createdDate": "2019-08-24T14:15:22Z",
274 "lastModifiedDate": "2019-08-24T14:15:22Z",
275 "archived": true,
276 "externalId": "string",
277 "id": 0,
278 "name": "string",
279 "city": {
280 "createdBy": "string",
281 "lastModifiedBy": "string",
282 "createdDate": "2019-08-24T14:15:22Z",
283 "lastModifiedDate": "2019-08-24T14:15:22Z",
284 "archived": true,
285 "externalId": "string",
286 "id": 0,
287 "name": "string",
288 "province": {
289 "createdBy": "string",
290 "lastModifiedBy": "string",
291 "createdDate": "2019-08-24T14:15:22Z",
292 "lastModifiedDate": "2019-08-24T14:15:22Z",
293 "archived": true,
294 "externalId": "string",
295 "id": 0,
296 "name": "string",
297 "code": "string",
298 "country": {
299 "createdBy": "string",
300 "lastModifiedBy": "string",
301 "createdDate": "2019-08-24T14:15:22Z",
302 "lastModifiedDate": "2019-08-24T14:15:22Z",
303 "archived": true,
304 "externalId": "string",
305 "id": 0,
306 "name": "string",
307 "code": "string"
308 },
309 "provinceCountryKey": "string"
310 },
311 "cityProvinceCountryKey": "string"
312 }
313 },
314 "cityId": 0,
315 "districtId": 0
316 },
317 "addressString": "string",
318 "cityStateDistrict": "string",
319 "country": "string",
320 "siteIntegrationStatusId": 0,
321 "siteIntegrationStatusDto": {
322 "createdBy": "string",
323 "lastModifiedBy": "string",
324 "createdDate": "2019-08-24T14:15:22Z",
325 "lastModifiedDate": "2019-08-24T14:15:22Z",
326 "archived": true,
327 "externalId": "string",
328 "id": 0,
329 "locationCreationStatus": "PENDING",
330 "locationActivationStatus": "PENDING",
331 "premiseCreationStatus": "PENDING",
332 "premiseActivationStatus": "PENDING",
333 "errorMessage": "string"
334 },
335 "defaultCurrency": {
336 "id": 0,
337 "status": "CREATED",
338 "displayId": "string",
339 "erpSystemId": 0,
340 "erpSystemDisplayId": "string",
341 "name": "string",
342 "decimalPoints": 0,
343 "depreciationAreaId": 0
344 },
345 "unit": {
346 "createdBy": "string",
347 "lastModifiedBy": "string",
348 "createdDate": "2019-08-24T14:15:22Z",
349 "lastModifiedDate": "2019-08-24T14:15:22Z",
350 "archived": true,
351 "externalId": "string",
352 "id": 0,
353 "unitId": 0,
354 "unitOfMeasureId": 0,
355 "erpSystemId": 0,
356 "unit": {
357 "createdBy": "string",
358 "lastModifiedBy": "string",
359 "createdDate": "2019-08-24T14:15:22Z",
360 "lastModifiedDate": "2019-08-24T14:15:22Z",
361 "archived": true,
362 "externalId": "string",
363 "id": 0,
364 "priority": 0,
365 "internalId": 0,
366 "pickListCode": "string",
367 "pickListLabel": "string",
368 "label": "string",
369 "cultureId": 0,
370 "labelDtos": [
371 {
372 "createdBy": "string",
373 "lastModifiedBy": "string",
374 "createdDate": "2019-08-24T14:15:22Z",
375 "lastModifiedDate": "2019-08-24T14:15:22Z",
376 "archived": true,
377 "externalId": "string",
378 "id": 0,
379 "cultureId": 0,
380 "value": "string"
381 }
382 ]
383 },
384 "unitOfMeasure": {
385 "id": 0,
386 "status": "CREATED",
387 "displayId": "string",
388 "erpSystemId": 0,
389 "erpSystemDisplayId": "string",
390 "name": "string"
391 }
392 },
393 "type": {
394 "createdBy": "string",
395 "lastModifiedBy": "string",
396 "createdDate": "2019-08-24T14:15:22Z",
397 "lastModifiedDate": "2019-08-24T14:15:22Z",
398 "archived": true,
399 "externalId": "string",
400 "id": 0,
401 "priority": 0,
402 "internalId": 0,
403 "pickListCode": "string",
404 "pickListLabel": "string",
405 "label": "string",
406 "cultureId": 0,
407 "labelDtos": [
408 {
409 "createdBy": "string",
410 "lastModifiedBy": "string",
411 "createdDate": "2019-08-24T14:15:22Z",
412 "lastModifiedDate": "2019-08-24T14:15:22Z",
413 "archived": true,
414 "externalId": "string",
415 "id": 0,
416 "cultureId": 0,
417 "value": "string"
418 }
419 ]
420 },
421 "sitePremiseDto": {
422 "createdBy": "string",
423 "lastModifiedBy": "string",
424 "createdDate": "2019-08-24T14:15:22Z",
425 "lastModifiedDate": "2019-08-24T14:15:22Z",
426 "archived": true,
427 "externalId": "string",
428 "id": 0,
429 "name": "string",
430 "fileNumber": "string",
431 "premiseUsageId": 0,
432 "areaTypeId": 0,
433 "areaName": "string",
434 "areaSourceId": 0,
435 "unitId": 0,
436 "area": 0,
437 "zoning": "string",
438 "conceptTypeId": 0,
439 "closestStoreDistance": 0,
440 "costCenterId": 0,
441 "referencePremiseId": 0,
442 "referencePremiseName": "string",
443 "referencePremiseDisplayId": "string",
444 "unitDto": {
445 "createdBy": "string",
446 "lastModifiedBy": "string",
447 "createdDate": "2019-08-24T14:15:22Z",
448 "lastModifiedDate": "2019-08-24T14:15:22Z",
449 "archived": true,
450 "externalId": "string",
451 "id": 0,
452 "unitId": 0,
453 "unitOfMeasureId": 0,
454 "erpSystemId": 0,
455 "unit": {
456 "createdBy": "string",
457 "lastModifiedBy": "string",
458 "createdDate": "2019-08-24T14:15:22Z",
459 "lastModifiedDate": "2019-08-24T14:15:22Z",
460 "archived": true,
461 "externalId": "string",
462 "id": 0,
463 "priority": 0,
464 "internalId": 0,
465 "pickListCode": "string",
466 "pickListLabel": "string",
467 "label": "string",
468 "cultureId": 0,
469 "labelDtos": [
470 {
471 "createdBy": "string",
472 "lastModifiedBy": "string",
473 "createdDate": "2019-08-24T14:15:22Z",
474 "lastModifiedDate": "2019-08-24T14:15:22Z",
475 "archived": true,
476 "externalId": "string",
477 "id": 0,
478 "cultureId": 0,
479 "value": "string"
480 }
481 ]
482 },
483 "unitOfMeasure": {
484 "id": 0,
485 "status": "CREATED",
486 "displayId": "string",
487 "erpSystemId": 0,
488 "erpSystemDisplayId": "string",
489 "name": "string"
490 }
491 },
492 "areaType": {
493 "createdBy": "string",
494 "lastModifiedBy": "string",
495 "createdDate": "2019-08-24T14:15:22Z",
496 "lastModifiedDate": "2019-08-24T14:15:22Z",
497 "archived": true,
498 "externalId": "string",
499 "id": 0,
500 "priority": 0,
501 "internalId": 0,
502 "pickListCode": "string",
503 "pickListLabel": "string",
504 "label": "string",
505 "cultureId": 0,
506 "labelDtos": [
507 {
508 "createdBy": "string",
509 "lastModifiedBy": "string",
510 "createdDate": "2019-08-24T14:15:22Z",
511 "lastModifiedDate": "2019-08-24T14:15:22Z",
512 "archived": true,
513 "externalId": "string",
514 "id": 0,
515 "cultureId": 0,
516 "value": "string"
517 }
518 ]
519 },
520 "areaSource": {
521 "createdBy": "string",
522 "lastModifiedBy": "string",
523 "createdDate": "2019-08-24T14:15:22Z",
524 "lastModifiedDate": "2019-08-24T14:15:22Z",
525 "archived": true,
526 "externalId": "string",
527 "id": 0,
528 "priority": 0,
529 "internalId": 0,
530 "pickListCode": "string",
531 "pickListLabel": "string",
532 "label": "string",
533 "cultureId": 0,
534 "labelDtos": [
535 {
536 "createdBy": "string",
537 "lastModifiedBy": "string",
538 "createdDate": "2019-08-24T14:15:22Z",
539 "lastModifiedDate": "2019-08-24T14:15:22Z",
540 "archived": true,
541 "externalId": "string",
542 "id": 0,
543 "cultureId": 0,
544 "value": "string"
545 }
546 ]
547 },
548 "conceptType": {
549 "createdBy": "string",
550 "lastModifiedBy": "string",
551 "createdDate": "2019-08-24T14:15:22Z",
552 "lastModifiedDate": "2019-08-24T14:15:22Z",
553 "archived": true,
554 "externalId": "string",
555 "id": 0,
556 "priority": 0,
557 "internalId": 0,
558 "pickListCode": "string",
559 "pickListLabel": "string",
560 "label": "string",
561 "cultureId": 0,
562 "labelDtos": [
563 {
564 "createdBy": "string",
565 "lastModifiedBy": "string",
566 "createdDate": "2019-08-24T14:15:22Z",
567 "lastModifiedDate": "2019-08-24T14:15:22Z",
568 "archived": true,
569 "externalId": "string",
570 "id": 0,
571 "cultureId": 0,
572 "value": "string"
573 }
574 ]
575 },
576 "premiseUsage": {
577 "createdBy": "string",
578 "lastModifiedBy": "string",
579 "createdDate": "2019-08-24T14:15:22Z",
580 "lastModifiedDate": "2019-08-24T14:15:22Z",
581 "archived": true,
582 "externalId": "string",
583 "id": 0,
584 "priority": 0,
585 "internalId": 0,
586 "pickListCode": "string",
587 "pickListLabel": "string",
588 "label": "string",
589 "cultureId": 0,
590 "labelDtos": [
591 {
592 "createdBy": "string",
593 "lastModifiedBy": "string",
594 "createdDate": "2019-08-24T14:15:22Z",
595 "lastModifiedDate": "2019-08-24T14:15:22Z",
596 "archived": true,
597 "externalId": "string",
598 "id": 0,
599 "cultureId": 0,
600 "value": "string"
601 }
602 ]
603 },
604 "occupanciesDto": [
605 {
606 "createdBy": "string",
607 "lastModifiedBy": "string",
608 "createdDate": "2019-08-24T14:15:22Z",
609 "lastModifiedDate": "2019-08-24T14:15:22Z",
610 "archived": true,
611 "externalId": "string",
612 "id": 0,
613 "priority": 0,
614 "internalId": 0,
615 "pickListCode": "string",
616 "pickListLabel": "string",
617 "label": "string",
618 "cultureId": 0,
619 "labelDtos": [
620 {
621 "createdBy": "string",
622 "lastModifiedBy": "string",
623 "createdDate": "2019-08-24T14:15:22Z",
624 "lastModifiedDate": "2019-08-24T14:15:22Z",
625 "archived": true,
626 "externalId": "string",
627 "id": 0,
628 "cultureId": 0,
629 "value": "string"
630 }
631 ]
632 }
633 ],
634 "cornerLocation": true
635 },
636 "projectSiteTag": {
637 "createdBy": "string",
638 "lastModifiedBy": "string",
639 "createdDate": "2019-08-24T14:15:22Z",
640 "lastModifiedDate": "2019-08-24T14:15:22Z",
641 "archived": true,
642 "externalId": "string",
643 "id": 0,
644 "priority": 0,
645 "internalId": 0,
646 "pickListCode": "string",
647 "pickListLabel": "string",
648 "label": "string",
649 "cultureId": 0,
650 "labelDtos": [
651 {
652 "createdBy": "string",
653 "lastModifiedBy": "string",
654 "createdDate": "2019-08-24T14:15:22Z",
655 "lastModifiedDate": "2019-08-24T14:15:22Z",
656 "archived": true,
657 "externalId": "string",
658 "id": 0,
659 "cultureId": 0,
660 "value": "string"
661 }
662 ]
663 },
664 "referenceLocationId": 0,
665 "referenceLocationName": "string",
666 "referenceLocationDisplayId": "string",
667 "landlords": "string",
668 "managers": "string",
669 "vendors": "string",
670 "siteManager": "string",
671 "siteDocumentList": [
672 {
673 "createdBy": "string",
674 "lastModifiedBy": "string",
675 "createdDate": "2019-08-24T14:15:22Z",
676 "lastModifiedDate": "2019-08-24T14:15:22Z",
677 "archived": true,
678 "externalId": "string",
679 "id": 0,
680 "name": "string",
681 "title": "string",
682 "type": "string",
683 "description": "string",
684 "link": "string",
685 "signedDate": "2019-08-24",
686 "documentTypeId": 0,
687 "statusId": 0,
688 "shareable": true,
689 "size": 0
690 }
691 ],
692 "totalPropertyScore": 0,
693 "siteFinancialAnalysisDtoList": {
694 "createdBy": "string",
695 "lastModifiedBy": "string",
696 "createdDate": "2019-08-24T14:15:22Z",
697 "lastModifiedDate": "2019-08-24T14:15:22Z",
698 "archived": true,
699 "externalId": "string",
700 "id": 0,
701 "discountRate": 0.1,
702 "netPresentValue": 0.1,
703 "returnOnInvestment": 0.1,
704 "breakEvenPoint": 0.1,
705 "name": "string",
706 "site": {
707 "createdBy": "string",
708 "lastModifiedBy": "string",
709 "createdDate": "2019-08-24T14:15:22Z",
710 "lastModifiedDate": "2019-08-24T14:15:22Z",
711 "archived": true,
712 "externalId": "string",
713 "id": 0,
714 "name": "string",
715 "storeNumber": "string",
716 "fileNumber": "string",
717 "businessUnitId": 0,
718 "propertyTypeId": 0,
719 "buildingTypeId": 0,
720 "siteQualityId": 0,
721 "areaTypeId": 0,
722 "areaName": "string",
723 "areaSourceId": 0,
724 "unitId": 0,
725 "area": 0,
726 "defaultCurrencyId": 0,
727 "typeId": 0,
728 "legalEntityIds": [
729 0
730 ],
731 "siteManagerId": 0,
732 "siteStatusId": 0,
733 "referenceLocationId": 0,
734 "draft": true
735 },
736 "siteId": 0,
737 "siteFinancialViabilityDtos": [
738 {
739 "createdBy": "string",
740 "lastModifiedBy": "string",
741 "createdDate": "2019-08-24T14:15:22Z",
742 "lastModifiedDate": "2019-08-24T14:15:22Z",
[...]
